<?php
/**
 * Logos block patterns.
 *
 * @package twentig
 * @phpcs:disable Squiz.Strings.DoubleQuoteUsage.NotRequired
 */

twentig_register_block_pattern(
	'twentig/logo-2-columns-card-with-link',
	array(
		'title'      => __( 'Logo 2 Columns: Card with Link', 'twentig' ),
		'categories' => array( 'logos' ),
		'content'    => '<!-- wp:group {"align":"full","layout":{"inherit":true}} --><div class="wp-block-group alignfull"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'Our partners', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:columns {"twColumnStyle":"card-border","twStretchedLink":true} --><div class="wp-block-columns tw-cols-card tw-cols-card-border tw-stretched-link"><!-- wp:column --><div class="wp-block-column"><!-- wp:image {"linkDestination":"custom","className":"tw-mb-4"} --><figure class="wp-block-image tw-mb-4"><a href="#" target="_blank" rel="noreferrer noopener"><img src="' . twentig_get_pattern_asset( 'logo-crop.svg' ) . '" alt=""/></a></figure><!-- /wp:image --><!-- wp:paragraph {"style":{"typography":{"fontSize":"0.875em"}}} --><p style="font-size:0.875em">Lorem ipsum dolor sit amet, commodo erat adipiscing elit. Sed do eiusmod ut tempor incididunt ut labore et dolore.</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:image {"linkDestination":"custom","className":"tw-mb-4"} --><figure class="wp-block-image tw-mb-4"><a href="#" target="_blank" rel="noreferrer noopener"><img src="' . twentig_get_pattern_asset( 'logo-crop.svg' ) . '" alt=""/></a></figure><!-- /wp:image --><!-- wp:paragraph {"style":{"typography":{"fontSize":"0.875em"}}} --><p style="font-size:0.875em">Integer enim risus, suscipit eu iaculis sed, ullamcorper at metus. Venenatis nec convallis magna, eu congue velit.</p><!-- /wp:paragraph --></div><!-- /wp:column --></div><!-- /wp:columns --><!-- wp:columns {"twColumnStyle":"card-border","twStretchedLink":true} --><div class="wp-block-columns tw-cols-card tw-cols-card-border tw-stretched-link"><!-- wp:column --><div class="wp-block-column"><!-- wp:image {"linkDestination":"custom","className":"tw-mb-4"} --><figure class="wp-block-image tw-mb-4"><a href="#" target="_blank" rel="noreferrer noopener"><img src="' . twentig_get_pattern_asset( 'logo-crop.svg' ) . '" alt=""/></a></figure><!-- /wp:image --><!-- wp:paragraph {"style":{"typography":{"fontSize":"0.875em"}}} --><p style="font-size:0.875em">Aliquam tempus mi nulla porta luctus. Sed non neque at lectus bibendum blandit. Morbi fringilla sapien libero.</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:image {"linkDestination":"custom","className":"tw-mb-4"} --><figure class="wp-block-image tw-mb-4"><a href="#" target="_blank" rel="noreferrer noopener"><img src="' . twentig_get_pattern_asset( 'logo-crop.svg' ) . '" alt=""/></a></figure><!-- /wp:image --><!-- wp:paragraph {"style":{"typography":{"fontSize":"0.875em"}}} --><p style="font-size:0.875em">Duis enim elit, porttitor id feugiat at, blandit at erat. Proin varius libero sit amet tortor volutpat diam laoreet.</p><!-- /wp:paragraph --></div><!-- /wp:column --></div><!-- /wp:columns --></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/logos-3-columns',
	array(
		'title'      => __( 'Logos 3 Columns', 'twentig' ),
		'categories' => array( 'logos' ),
		'content'    => '<!-- wp:group {"align":"full","layout":{"inherit":true}} --><div class="wp-block-group alignfull"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'Our clients', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:gallery {"columns":3,"imageCrop":false,"linkTo":"none","twFixedWidthCols":true,"twGutter":"no"} --><figure class="wp-block-gallery has-nested-images columns-3 tw-fixed-cols tw-gutter-no"><!-- wp:image {"sizeSlug":"large","linkDestination":"none"} --><figure class="wp-block-image size-large"><img src="' . twentig_get_pattern_asset( 'logo.svg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:image {"sizeSlug":"large","linkDestination":"none"} --><figure class="wp-block-image size-large"><img src="' . twentig_get_pattern_asset( 'logo.svg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:image {"sizeSlug":"large","linkDestination":"none"} --><figure class="wp-block-image size-large"><img src="' . twentig_get_pattern_asset( 'logo.svg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:image {"sizeSlug":"large","linkDestination":"none"} --><figure class="wp-block-image size-large"><img src="' . twentig_get_pattern_asset( 'logo.svg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:image {"sizeSlug":"large","linkDestination":"none"} --><figure class="wp-block-image size-large"><img src="' . twentig_get_pattern_asset( 'logo.svg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:image {"sizeSlug":"large","linkDestination":"none"} --><figure class="wp-block-image size-large"><img src="' . twentig_get_pattern_asset( 'logo.svg' ) . '" alt=""/></figure><!-- /wp:image --></figure><!-- /wp:gallery --></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/logos-3-columns-no-gutter',
	array(
		'title'      => __( 'Logos 3 Columns: No Gutter', 'twentig' ),
		'categories' => array( 'logos' ),
		'content'    => '<!-- wp:group {"align":"full","layout":{"inherit":true},"style":{"spacing":{"blockGap":"60px"}}} --><div class="wp-block-group alignfull"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'Our clients', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:gallery {"columns":3,"imageCrop":false,"linkTo":"none","className":"tw-img-border","twFixedWidthCols":true,"twGutter":"no"} --><figure class="wp-block-gallery has-nested-images columns-3 tw-img-border tw-fixed-cols tw-gutter-no"><!-- wp:image {"sizeSlug":"large","linkDestination":"none"} --><figure class="wp-block-image size-large"><img src="' . twentig_get_pattern_asset( 'logo2.svg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:image {"sizeSlug":"large","linkDestination":"none"} --><figure class="wp-block-image size-large"><img src="' . twentig_get_pattern_asset( 'logo2.svg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:image {"sizeSlug":"large","linkDestination":"none"} --><figure class="wp-block-image size-large"><img src="' . twentig_get_pattern_asset( 'logo2.svg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:image {"sizeSlug":"large","linkDestination":"none"} --><figure class="wp-block-image size-large"><img src="' . twentig_get_pattern_asset( 'logo2.svg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:image {"sizeSlug":"large","linkDestination":"none"} --><figure class="wp-block-image size-large"><img src="' . twentig_get_pattern_asset( 'logo2.svg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:image {"sizeSlug":"large","linkDestination":"none"} --><figure class="wp-block-image size-large"><img src="' . twentig_get_pattern_asset( 'logo2.svg' ) . '" alt=""/></figure><!-- /wp:image --></figure><!-- /wp:gallery --></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/logos-heading-on-left',
	array(
		'title'      => __( 'Logos: Heading on Left', 'twentig' ),
		'categories' => array( 'logos' ),
		'content'    => '<!-- wp:group {"align":"full","layout":{"inherit":true}} --><div class="wp-block-group alignfull"><!-- wp:columns {"align":"wide","twGutter":"large","twStack":"md"} --><div class="wp-block-columns alignwide tw-gutter-large tw-cols-stack-md"><!-- wp:column --><div class="wp-block-column"><!-- wp:heading --><h2>' . esc_html_x( 'Our clients', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:paragraph --><p>Lorem ipsum dolor sit amet, commodo erat adipiscing elit. Sed do eiusmod ut tempor incididunt ut labore et dolore. Integer enim risus suscipit eu iaculis sed ullamcorper.</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:gallery {"columns":3,"imageCrop":false,"linkTo":"none","className":"tw-img-border","twFixedWidthCols":true} --><figure class="wp-block-gallery has-nested-images columns-3 tw-img-border tw-fixed-cols"><!-- wp:image {"sizeSlug":"large","linkDestination":"none"} --><figure class="wp-block-image size-large"><img src="' . twentig_get_pattern_asset( 'logo2.svg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:image {"sizeSlug":"large","linkDestination":"none"} --><figure class="wp-block-image size-large"><img src="' . twentig_get_pattern_asset( 'logo2.svg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:image {"sizeSlug":"large","linkDestination":"none"} --><figure class="wp-block-image size-large"><img src="' . twentig_get_pattern_asset( 'logo2.svg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:image {"sizeSlug":"large","linkDestination":"none"} --><figure class="wp-block-image size-large"><img src="' . twentig_get_pattern_asset( 'logo2.svg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:image {"sizeSlug":"large","linkDestination":"none"} --><figure class="wp-block-image size-large"><img src="' . twentig_get_pattern_asset( 'logo2.svg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:image {"sizeSlug":"large","linkDestination":"none"} --><figure class="wp-block-image size-large"><img src="' . twentig_get_pattern_asset( 'logo2.svg' ) . '" alt=""/></figure><!-- /wp:image --></figure><!-- /wp:gallery --></div><!-- /wp:column --></div><!-- /wp:columns --></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/logos-4-columns',
	array(
		'title'      => __( 'Logos 4 Columns', 'twentig' ),
		'categories' => array( 'logos' ),
		'content'    => '<!-- wp:group {"align":"full","layout":{"inherit":true},"style":{"spacing":{"blockGap":"30px"}}} --><div class="wp-block-group alignfull"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'Trusted by hundreds of companies worldwide', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:gallery {"columns":4,"imageCrop":false,"linkTo":"none","align":"wide","twFixedWidthCols":true,"twGutter":"no"} --><figure class="wp-block-gallery alignwide has-nested-images columns-4 tw-fixed-cols tw-gutter-no"><!-- wp:image {"sizeSlug":"large","linkDestination":"none"} --><figure class="wp-block-image size-large"><img src="' . twentig_get_pattern_asset( 'logo.svg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:image {"sizeSlug":"large","linkDestination":"none"} --><figure class="wp-block-image size-large"><img src="' . twentig_get_pattern_asset( 'logo.svg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:image {"sizeSlug":"large","linkDestination":"none"} --><figure class="wp-block-image size-large"><img src="' . twentig_get_pattern_asset( 'logo.svg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:image {"sizeSlug":"large","linkDestination":"none"} --><figure class="wp-block-image size-large"><img src="' . twentig_get_pattern_asset( 'logo.svg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:image {"sizeSlug":"large","linkDestination":"none"} --><figure class="wp-block-image size-large"><img src="' . twentig_get_pattern_asset( 'logo.svg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:image {"sizeSlug":"large","linkDestination":"none"} --><figure class="wp-block-image size-large"><img src="' . twentig_get_pattern_asset( 'logo.svg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:image {"sizeSlug":"large","linkDestination":"none"} --><figure class="wp-block-image size-large"><img src="' . twentig_get_pattern_asset( 'logo.svg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:image {"sizeSlug":"large","linkDestination":"none"} --><figure class="wp-block-image size-large"><img src="' . twentig_get_pattern_asset( 'logo.svg' ) . '" alt=""/></figure><!-- /wp:image --></figure><!-- /wp:gallery --></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/logos-4-columns-inner-border',
	array(
		'title'      => __( 'Logos 4 Columns: Inner Border', 'twentig' ),
		'categories' => array( 'logos' ),
		'content'    => '<!-- wp:group {"align":"full","layout":{"inherit":true},"style":{"spacing":{"blockGap":"60px"}}} --><div class="wp-block-group alignfull"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'Our clients', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:gallery {"columns":4,"imageCrop":false,"linkTo":"none","className":"tw-img-border-inner"} --><figure class="wp-block-gallery has-nested-images columns-4 tw-img-border-inner"><!-- wp:image {"sizeSlug":"large","linkDestination":"none"} --><figure class="wp-block-image size-large"><img src="' . twentig_get_pattern_asset( 'logo2.svg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:image {"sizeSlug":"large","linkDestination":"none"} --><figure class="wp-block-image size-large"><img src="' . twentig_get_pattern_asset( 'logo2.svg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:image {"sizeSlug":"large","linkDestination":"none"} --><figure class="wp-block-image size-large"><img src="' . twentig_get_pattern_asset( 'logo2.svg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:image {"sizeSlug":"large","linkDestination":"none"} --><figure class="wp-block-image size-large"><img src="' . twentig_get_pattern_asset( 'logo2.svg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:image {"sizeSlug":"large","linkDestination":"none"} --><figure class="wp-block-image size-large"><img src="' . twentig_get_pattern_asset( 'logo2.svg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:image {"sizeSlug":"large","linkDestination":"none"} --><figure class="wp-block-image size-large"><img src="' . twentig_get_pattern_asset( 'logo2.svg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:image {"sizeSlug":"large","linkDestination":"none"} --><figure class="wp-block-image size-large"><img src="' . twentig_get_pattern_asset( 'logo2.svg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:image {"sizeSlug":"large","linkDestination":"none"} --><figure class="wp-block-image size-large"><img src="' . twentig_get_pattern_asset( 'logo2.svg' ) . '" alt=""/></figure><!-- /wp:image --></figure><!-- /wp:gallery --></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/logos-4-columns-border',
	array(
		'title'      => __( 'Logos 4 Columns: Border', 'twentig' ),
		'categories' => array( 'logos' ),
		'content'    => '<!-- wp:group {"align":"full","layout":{"inherit":true}} --><div class="wp-block-group alignfull"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'Our clients', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:gallery {"columns":4,"imageCrop":false,"linkTo":"none","align":"wide","className":"tw-img-border","twFixedWidthCols":true} --><figure class="wp-block-gallery alignwide has-nested-images columns-4 tw-img-border tw-fixed-cols"><!-- wp:image {"sizeSlug":"large","linkDestination":"none"} --><figure class="wp-block-image size-large"><img src="' . twentig_get_pattern_asset( 'logo2.svg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:image {"sizeSlug":"large","linkDestination":"none"} --><figure class="wp-block-image size-large"><img src="' . twentig_get_pattern_asset( 'logo2.svg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:image {"sizeSlug":"large","linkDestination":"none"} --><figure class="wp-block-image size-large"><img src="' . twentig_get_pattern_asset( 'logo2.svg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:image {"sizeSlug":"large","linkDestination":"none"} --><figure class="wp-block-image size-large"><img src="' . twentig_get_pattern_asset( 'logo2.svg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:image {"sizeSlug":"large","linkDestination":"none"} --><figure class="wp-block-image size-large"><img src="' . twentig_get_pattern_asset( 'logo2.svg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:image {"sizeSlug":"large","linkDestination":"none"} --><figure class="wp-block-image size-large"><img src="' . twentig_get_pattern_asset( 'logo2.svg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:image {"sizeSlug":"large","linkDestination":"none"} --><figure class="wp-block-image size-large"><img src="' . twentig_get_pattern_asset( 'logo2.svg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:image {"sizeSlug":"large","linkDestination":"none"} --><figure class="wp-block-image size-large"><img src="' . twentig_get_pattern_asset( 'logo2.svg' ) . '" alt=""/></figure><!-- /wp:image --></figure><!-- /wp:gallery --></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/logos-4-columns-card',
	array(
		'title'      => __( 'Logos 4 Columns: Card', 'twentig' ),
		'categories' => array( 'logos' ),
		'content'    => '<!-- wp:group {"align":"full","layout":{"inherit":true}} --><div class="wp-block-group alignfull"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'Our partners', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:columns {"align":"wide","twStack":"md-2","twColumnStyle":"card-shadow","twTextAlign":"center"} --><div class="wp-block-columns alignwide tw-cols-stack-md-2 tw-cols-card tw-cols-card-shadow has-text-align-center"><!-- wp:column --><div class="wp-block-column"><!-- wp:image {"align":"center","className":"tw-mb-4"} --><div class="wp-block-image tw-mb-4"><figure class="aligncenter"><img src="' . twentig_get_pattern_asset( 'logo-crop.svg' ) . '" alt=""/></figure></div><!-- /wp:image --><!-- wp:paragraph {"style":{"typography":{"fontSize":"0.875em"}}} --><p style="font-size:0.875em">Lorem ipsum dolor sit amet, commodo erat adipiscing.</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:image {"align":"center","className":"tw-mb-4"} --><div class="wp-block-image tw-mb-4"><figure class="aligncenter"><img src="' . twentig_get_pattern_asset( 'logo-crop.svg' ) . '" alt=""/></figure></div><!-- /wp:image --><!-- wp:paragraph {"style":{"typography":{"fontSize":"0.875em"}}} --><p style="font-size:0.875em">Integer enim risus suscipit eu iaculis sed ullamcorper.</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:image {"align":"center","className":"tw-mb-4"} --><div class="wp-block-image tw-mb-4"><figure class="aligncenter"><img src="' . twentig_get_pattern_asset( 'logo-crop.svg' ) . '" alt=""/></figure></div><!-- /wp:image --><!-- wp:paragraph {"style":{"typography":{"fontSize":"0.875em"}}} --><p style="font-size:0.875em">Aliquam tempus mi nulla porta luctus sed non neque.</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:image {"align":"center","className":"tw-mb-4"} --><div class="wp-block-image tw-mb-4"><figure class="aligncenter"><img src="' . twentig_get_pattern_asset( 'logo-crop.svg' ) . '" alt=""/></figure></div><!-- /wp:image --><!-- wp:paragraph {"style":{"typography":{"fontSize":"0.875em"}}} --><p style="font-size:0.875em">Duis enim elit porttitor id feugiat at, blandit at erat.</p><!-- /wp:paragraph --></div><!-- /wp:column --></div><!-- /wp:columns --><!-- wp:columns {"align":"wide","twStack":"md-2","twColumnStyle":"card-shadow","twTextAlign":"center"} --><div class="wp-block-columns alignwide tw-cols-stack-md-2 tw-cols-card tw-cols-card-shadow has-text-align-center"><!-- wp:column --><div class="wp-block-column"><!-- wp:image {"align":"center","className":"tw-mb-4"} --><div class="wp-block-image tw-mb-4"><figure class="aligncenter"><img src="' . twentig_get_pattern_asset( 'logo-crop.svg' ) . '" alt=""/></figure></div><!-- /wp:image --><!-- wp:paragraph {"style":{"typography":{"fontSize":"0.875em"}}} --><p style="font-size:0.875em">Fusce sed magna ligula commodo hendrerit fringilla.</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:image {"align":"center","className":"tw-mb-4"} --><div class="wp-block-image tw-mb-4"><figure class="aligncenter"><img src="' . twentig_get_pattern_asset( 'logo-crop.svg' ) . '" alt=""/></figure></div><!-- /wp:image --><!-- wp:paragraph {"style":{"typography":{"fontSize":"0.875em"}}} --><p style="font-size:0.875em">Mauris dui tellus mollis quis varius, sit amet ultrices leo.</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:image {"align":"center","className":"tw-mb-4"} --><div class="wp-block-image tw-mb-4"><figure class="aligncenter"><img src="' . twentig_get_pattern_asset( 'logo-crop.svg' ) . '" alt=""/></figure></div><!-- /wp:image --><!-- wp:paragraph {"style":{"typography":{"fontSize":"0.875em"}}} --><p style="font-size:0.875em">Class aptent taciti sociosqu ad litora torquent per.</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:image {"align":"center","className":"tw-mb-4"} --><div class="wp-block-image tw-mb-4"><figure class="aligncenter"><img src="' . twentig_get_pattern_asset( 'logo-crop.svg' ) . '" alt=""/></figure></div><!-- /wp:image --><!-- wp:paragraph {"style":{"typography":{"fontSize":"0.875em"}}} --><p style="font-size:0.875em">Sed gravida enim eu convallis porttitor mauris.</p><!-- /wp:paragraph --></div><!-- /wp:column --></div><!-- /wp:columns --></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/logos-5-columns',
	array(
		'title'      => __( 'Logos in Row', 'twentig' ),
		'categories' => array( 'logos' ),
		'content'    => '<!-- wp:group {"align":"full","style":{"spacing":{"blockGap":"50px"}},"layout":{"inherit":true}} --><div class="wp-block-group alignfull"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'Our clients', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:group {"align":"wide","style":{"spacing":{"blockGap":"40px"}},"layout":{"type":"flex","allowOrientation":false,"justifyContent":"center"}} --><div class="wp-block-group alignwide"><!-- wp:image --><figure class="wp-block-image"><img src="' . twentig_get_pattern_asset( 'logo-crop.svg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:image --><figure class="wp-block-image"><img src="' . twentig_get_pattern_asset( 'logo-crop.svg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:image --><figure class="wp-block-image"><img src="' . twentig_get_pattern_asset( 'logo-crop.svg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:image --><figure class="wp-block-image"><img src="' . twentig_get_pattern_asset( 'logo-crop.svg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:image --><figure class="wp-block-image"><img src="' . twentig_get_pattern_asset( 'logo-crop.svg' ) . '" alt=""/></figure><!-- /wp:image --></div><!-- /wp:group --></div><!-- /wp:group -->',
	)
);
