<?php
/**
 * Query block patterns.
 *
 * @package twentig
 */

twentig_register_block_pattern(
	'twentig/query-posts-3-columns',
	array(
		'title'      => __( 'Posts 3 Columns', 'twentig' ),
		'blockTypes' => array( 'core/query' ),
		'categories' => array( 'query' ),
		'content'    => '<!-- wp:query {"query":{"perPage":"3","offset":0,"postType":"post","categoryIds":[],"tagIds":[],"order":"desc","orderBy":"date","author":"","search":"","exclude":[],"sticky":"","inherit":true},"displayLayout":{"type":"flex","columns":3},"align":"wide","layout":{"inherit":true}} --><div class="wp-block-query alignwide"><!-- wp:post-template {"align":"wide"} --><!-- wp:group --><div class="wp-block-group"><!-- wp:post-featured-image {"isLink":true,"className":"tw-img-ratio-3-2","style":{"spacing":{"margin":{"bottom":"30px"}}}} /--><!-- wp:post-title {"isLink":true,"style":{"typography":{"fontSize":"1.5rem"}},"className":"tw-link-hover-underline"} /--><!-- wp:post-excerpt {"moreText":"","style":{"typography":{"fontSize":"0.9375em"}},"twExcerptLength":20} /--><!-- wp:group {"style":{"spacing":{"blockGap":"7px"}},"layout":{"type":"flex","allowOrientation":false}} --><div class="wp-block-group"><!-- wp:post-date {"format":"M j, Y","style":{"typography":{"fontSize":"0.875rem"}}} /--><!-- wp:paragraph {"style":{"typography":{"fontSize":"0.875rem"}}} --><p style="font-size:0.875rem">·</p><!-- /wp:paragraph --><!-- wp:post-terms {"term":"category","style":{"typography":{"fontSize":"0.875rem"}},"className":"tw-link-hover-underline"} /--></div><!-- /wp:group --></div><!-- /wp:group --><!-- /wp:post-template --><!-- wp:query-pagination {"paginationArrow":"chevron","className":"tw-mt-9","layout":{"type":"flex","justifyContent":"center","orientation":"horizontal"}} --><!-- wp:query-pagination-previous {"label":"' . esc_html__( 'Previous', 'twentig' ) . '"} /--><!-- wp:query-pagination-numbers /--><!-- wp:query-pagination-next {"label":"' . esc_html__( 'Next', 'twentig' ) . '"} /--><!-- /wp:query-pagination --></div><!-- /wp:query -->',
	)
);

twentig_register_block_pattern(
	'twentig/query-posts-small-image-on-left',
	array(
		'title'      => __( 'Posts: Small Image on Left', 'twentig' ),
		'blockTypes' => array( 'core/query' ),
		'categories' => array( 'query' ),
		'content'    => '<!-- wp:query {"query":{"perPage":"2","pages":0,"offset":0,"postType":"post","categoryIds":[],"tagIds":[],"order":"desc","orderBy":"date","author":"","search":"","exclude":[],"sticky":"","inherit":true},"align":"wide","layout":{"inherit":true}} --><div class="wp-block-query alignwide"><!-- wp:post-template {"align":"wide"} --><!-- wp:columns --><div class="wp-block-columns"><!-- wp:column {"width":"33.33%"} --><div class="wp-block-column" style="flex-basis:33.33%"><!-- wp:post-featured-image {"isLink":true,"className":"tw-img-ratio-3-2"} /--></div><!-- /wp:column --><!-- wp:column {"verticalAlignment":"center","width":"66.66%"} --><div class="wp-block-column is-vertically-aligned-center" style="flex-basis:66.66%"><!-- wp:post-title {"isLink":true,"style":{"spacing":{"margin":{"bottom":"20px"}}},"className":"tw-link-hover-underline","fontSize":"large"} /--><!-- wp:post-excerpt {"style":{"spacing":{"margin":{"bottom":"1.25rem"}}},"twExcerptLength":30} /--><!-- wp:group {"style":{"spacing":{"blockGap":"7px"}},"layout":{"type":"flex","allowOrientation":false}} --><div class="wp-block-group"><!-- wp:post-date {"format":"","style":{"typography":{"fontSize":"0.875rem"}}} /--><!-- wp:paragraph {"style":{"typography":{"fontSize":"0.875rem"}}} --><p style="font-size:0.875rem">·</p><!-- /wp:paragraph --><!-- wp:post-terms {"term":"category","style":{"typography":{"fontSize":"0.875rem"}},"className":"tw-link-hover-underline"} /--></div><!-- /wp:group --></div><!-- /wp:column --></div><!-- /wp:columns --><!-- wp:separator {"className":"tw-mb-6 tw-mt-6 is-style-wide"} --><hr class="wp-block-separator tw-mb-6 tw-mt-6 is-style-wide"/><!-- /wp:separator --><!-- /wp:post-template --><!-- wp:query-pagination {"paginationArrow":"chevron","align":"wide","className":"tw-mt-7","layout":{"type":"flex","justifyContent":"space-between","orientation":"horizontal"}} --><!-- wp:query-pagination-previous {"label":"' . esc_html__( 'Previous', 'twentig' ) . '"} /--><!-- wp:query-pagination-numbers /--><!-- wp:query-pagination-next {"label":"' . esc_html__( 'Next', 'twentig' ) . '"} /--><!-- /wp:query-pagination --></div><!-- /wp:query -->',
	)
);

twentig_register_block_pattern(
	'twentig/query-posts-stack-right-sidebar',
	array(
		'title'      => __( 'Posts Stack: Right Sidebar', 'twentig' ),
		'blockTypes' => array( 'core/query' ),
		'categories' => array( 'query' ),
		'content'    => '<!-- wp:group {"layout":{"inherit":true}} --><div class="wp-block-group"><!-- wp:columns {"align":"wide","twGutter":"large","twStack":"md"} --><div class="wp-block-columns alignwide tw-gutter-large tw-cols-stack-md"><!-- wp:column --><div class="wp-block-column"><!-- wp:query {"query":{"perPage":"2","pages":0,"offset":"0","postType":"post","categoryIds":[],"tagIds":[],"order":"desc","orderBy":"date","author":"","search":"","exclude":[],"sticky":"","inherit":true}} --><div class="wp-block-query"><!-- wp:post-template --><!-- wp:group --><div class="wp-block-group"><!-- wp:group {"style":{"spacing":{"blockGap":"7px"}},"layout":{"type":"flex","allowOrientation":false}} --><div class="wp-block-group"><!-- wp:post-date {"format":"M j, Y","style":{"typography":{"fontSize":"0.75rem","fontStyle":"normal","fontWeight":"600","textTransform":"uppercase"}}} /--><!-- wp:paragraph {"style":{"typography":{"fontSize":"0.875rem"}}} --><p style="font-size:0.875rem">·</p><!-- /wp:paragraph --><!-- wp:post-terms {"term":"category","style":{"typography":{"fontSize":"0.75rem","textTransform":"uppercase","fontStyle":"normal","fontWeight":"600"}},"className":"tw-link-hover-underline"} /--></div><!-- /wp:group --><!-- wp:post-title {"isLink":true,"style":{"spacing":{"margin":{"top":"15px"}}},"className":"tw-link-hover-underline","fontSize":"xx-large"} /--></div><!-- /wp:group --><!-- wp:post-featured-image {"isLink":true,"style":{"spacing":{"margin":{"top":"40px","bottom":"40px"}}}} /--><!-- wp:post-excerpt {"moreText":"Read more","style":{"spacing":{"margin":{"top":"30px"}}},"twExcerptLength":48} /--><!-- wp:spacer {"height":40} --><div style="height:40px" aria-hidden="true" class="wp-block-spacer"></div><!-- /wp:spacer --><!-- wp:separator {"className":"is-style-wide"} --><hr class="wp-block-separator is-style-wide"/><!-- /wp:separator --><!-- wp:spacer {"height":30} --><div style="height:30px" aria-hidden="true" class="wp-block-spacer"></div><!-- /wp:spacer --><!-- /wp:post-template --><!-- wp:query-pagination {"paginationArrow":"chevron","className":"tw-mt-4","layout":{"type":"flex","justifyContent":"space-between","orientation":"horizontal"}} --><!-- wp:query-pagination-previous {"label":"' . esc_html__( 'Previous', 'twentig' ) . '"} /--><!-- wp:query-pagination-numbers /--><!-- wp:query-pagination-next {"label":"' . esc_html__( 'Next', 'twentig' ) . '"} /--><!-- /wp:query-pagination --></div><!-- /wp:query --></div><!-- /wp:column --><!-- wp:column {"width":"320px"} --><div class="wp-block-column" style="flex-basis:320px"><!-- wp:separator {"className":"tw-mt-4 tw-mb-8 is-style-wide tw-lg-hidden"} --><hr class="wp-block-separator tw-mt-4 tw-mb-8 is-style-wide tw-lg-hidden"/><!-- /wp:separator --><!-- wp:heading {"level":3,"style":{"spacing":{"margin":{"top":"0px"}},"typography":{"fontSize":"1.125em"}}} --><h3 style="font-size:1.125em;margin-top:0px">' . esc_html_x( 'About', 'Block pattern content', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:paragraph --><p>Mauris vitae ante ultricies pretium sed massa at, dapibus purus. Nunc pharetra urna vulputate elit dictum. Curabitur eu enim quis nunc cursus.</p><!-- /wp:paragraph --><!-- wp:heading {"level":3,"style":{"spacing":{"margin":{"top":"40px"}},"typography":{"fontSize":"1.125em"}}} --><h3 style="font-size:1.125em;margin-top:40px">'. esc_html__( 'Categories', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:categories {"className":"tw-no-bullet"} /--><!-- wp:heading {"level":3,"style":{"spacing":{"margin":{"top":"40px"}},"typography":{"fontSize":"1.125em"}}} --><h3 style="font-size:1.125em;margin-top:40px">' . esc_html_x( 'Follow us', 'Block pattern content', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:social-links {"iconColor":"foreground","iconColorValue":"var(--wp--preset--color--foreground)","size":"has-small-icon-size","className":"is-style-logos-only","twHover":"opacity","layout":{"type":"flex"},"style":{"spacing":{"blockGap":"20px"}}} --><ul class="wp-block-social-links has-small-icon-size has-icon-color is-style-logos-only tw-hover-opacity"><!-- wp:social-link {"url":"#","service":"twitter"} /--><!-- wp:social-link {"url":"#","service":"linkedin"} /--><!-- wp:social-link {"url":"#","service":"spotify"} /--><!-- wp:social-link {"url":"#","service":"youtube"} /--></ul><!-- /wp:social-links --></div><!-- /wp:column --></div><!-- /wp:columns --></div><!-- /wp:group -->',
	)
);
