<?php
/**
 * Pricing block patterns.
 *
 * @package twentig
 * @phpcs:disable Squiz.Strings.DoubleQuoteUsage.NotRequired
 */

twentig_register_block_pattern(
	'twentig/single-pricing',
	array(
		'title'      => __( 'Single Pricing', 'twentig' ),
		'categories' => array( 'pricing' ),
		'content'    => '<!-- wp:group {"align":"full","layout":{"inherit":true}} --><div class="wp-block-group alignfull"><!-- wp:heading {"style":{"spacing":{"margin":{"bottom":"10px"}}}} --><h2 style="margin-bottom:10px">' . esc_html_x( 'Simple pricing', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:paragraph {"fontSize":"large","className":"tw-mt-0"} --><p class="tw-mt-0 has-large-font-size"><strong>$19.99</strong></p><!-- /wp:paragraph --><!-- wp:list {"className":"is-style-tw-border-inner tw-list-spacing-medium"} --><ul class="is-style-tw-border-inner tw-list-spacing-medium"><li>Lorem ipsum dolor sit amet, commodo erat adipiscing elit</li><li>Venenatis nec convallis aliquam tempus mi nulla porta luctus</li><li>Sed do eiusmod ut tempor incididunt ut labore et dolore</li><li>Integer enim risus suscipit nenatis nec convallis ali</li><li>Fusce sed magna eu ligula commodo hendrerit fringilla ac purus</li></ul><!-- /wp:list --><!-- wp:buttons {"style":{"spacing":{"margin":{"top":"40px"}}}} --><div class="wp-block-buttons" style="margin-top:40px"><!-- wp:button --><div class="wp-block-button"><a class="wp-block-button__link">' . esc_html_x( 'Get started', 'Block pattern content', 'twentig' ) . '</a></div><!-- /wp:button --></div><!-- /wp:buttons --></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/single-pricing-card',
	array(
		'title'      => __( 'Single Pricing: Card', 'twentig' ),
		'categories' => array( 'pricing' ),
		'content'    => '<!-- wp:group {"align":"full","layout":{"inherit":true}} --><div class="wp-block-group alignfull"><!-- wp:group {"backgroundColor":"white","textColor":"black","twDecoration":"shadow"} --><div class="wp-block-group has-black-color has-white-background-color has-text-color has-background tw-shadow"><!-- wp:heading {"fontSize":"xx-large","style":{"spacing":{"margin":{"bottom":"10px"}}}} --><h2 class="has-xx-large-font-size" style="margin-bottom:10px">' . esc_html_x( 'Simple pricing', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0","fontSize":"large"} --><p class="tw-mt-0 has-large-font-size"><strong>$49</strong></p><!-- /wp:paragraph --><!-- wp:paragraph --><p><strong>Lorem ipsum dolor sit amet, consectetur adipiscing elit sed do eiusmod tempor incididunt ut labore.</strong></p><!-- /wp:paragraph --><!-- wp:list {"className":"tw-list-spacing-medium"} --><ul class="tw-list-spacing-medium"><li>Lorem ipsum dolor sit amet commodo erat</li><li>Venenatis nec convallis aliquam tempus mi nulla</li><li>Sed do eiusmod ut tempor incididunt ut labore et dolore</li><li>Integer enim risus suscipit nenatis nec convallis</li><li>Fusce sed magna eu ligula commodo hendrerit</li></ul><!-- /wp:list --><!-- wp:buttons {"style":{"spacing":{"margin":{"top":"30px"}}}} --><div class="wp-block-buttons" style="margin-top:30px"><!-- wp:button --><div class="wp-block-button"><a class="wp-block-button__link">' . esc_html_x( 'Get started', 'Block pattern content', 'twentig' ) . '</a></div><!-- /wp:button --></div><!-- /wp:buttons --></div><!-- /wp:group --></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/pricing-2-columns',
	array(
		'title'      => __( 'Pricing 2 Columns', 'twentig' ),
		'categories' => array( 'pricing' ),
		'content'    => '<!-- wp:group {"align":"full","layout":{"inherit":true}} --><div class="wp-block-group alignfull"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'Choose the right solution that fits your needs', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:columns {"twGutter":"large"} --><div class="wp-block-columns tw-gutter-large"><!-- wp:column --><div class="wp-block-column"><!-- wp:heading {"level":3,"fontSize":"x-large","style":{"spacing":{"margin":{"bottom":"10px"}}}} --><h3 class="has-x-large-font-size" style="margin-bottom:10px">' . esc_html_x( 'Standard', 'Block pattern pricing content', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:paragraph {"fontSize":"large","className":"tw-mt-0"} --><p class="tw-mt-0 has-large-font-size"><strong>$16</strong></p><!-- /wp:paragraph --><!-- wp:list {"className":"is-style-tw-border-inner tw-list-spacing-medium"} --><ul class="is-style-tw-border-inner tw-list-spacing-medium"><li>Venenatis nec convallis</li><li>Sed eiusmod ut tempor labore</li><li>Integer enim risus suscipit</li></ul><!-- /wp:list --><!-- wp:buttons {"style":{"spacing":{"margin":{"top":"30px"}}}} --><div class="wp-block-buttons" style="margin-top:30px"><!-- wp:button {"className":"is-style-outline"} --><div class="wp-block-button is-style-outline"><a class="wp-block-button__link">' . esc_html_x( 'Get started', 'Block pattern content', 'twentig' ) . '</a></div><!-- /wp:button --></div><!-- /wp:buttons --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:heading {"level":3,"fontSize":"x-large","style":{"spacing":{"margin":{"bottom":"10px"}}}} --><h3 class="has-x-large-font-size" style="margin-bottom:10px">' . esc_html_x( 'Premium', 'Block pattern pricing content', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:paragraph {"fontSize":"large","className":"tw-mt-0"} --><p class="tw-mt-0 has-large-font-size"><strong>$49</strong></p><!-- /wp:paragraph --><!-- wp:list {"className":"is-style-tw-border-inner tw-list-spacing-medium"} --><ul class="is-style-tw-border-inner tw-list-spacing-medium"><li>Venenatis nec convallis</li><li>Sed eiusmod ut tempor labore</li><li>Integer enim risus suscipit</li><li>Aliquam tempus mi nulla</li><li>Sed non neque at lectus</li></ul><!-- /wp:list --><!-- wp:buttons {"style":{"spacing":{"margin":{"top":"30px"}}}} --><div class="wp-block-buttons" style="margin-top:30px"><!-- wp:button --><div class="wp-block-button"><a class="wp-block-button__link">' . esc_html_x( 'Get started', 'Block pattern content', 'twentig' ) . '</a></div><!-- /wp:button --></div><!-- /wp:buttons --></div><!-- /wp:column --></div><!-- /wp:columns --></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/pricing-2-column-cards',
	array(
		'title'      => __( 'Pricing 2 Column Cards', 'twentig' ),
		'categories' => array( 'pricing' ),
		'content'    => '<!-- wp:group {"align":"full","layout":{"inherit":true}} --><div class="wp-block-group alignfull"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'Pricing', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:columns {"twColumnStyle":"card-shadow"} --><div class="wp-block-columns tw-cols-card tw-cols-card-shadow"><!-- wp:column --><div class="wp-block-column"><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1.125em"},"spacing":{"margin":{"bottom":"10px"}}}} --><h3 style="font-size:1.125em;margin-bottom:10px">' . esc_html_x( 'Standard', 'Block pattern pricing content', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:paragraph {"style":{"typography":{"fontSize":"40px","lineHeight":"1.2"}},"className":"tw-mt-0"} --><p class="tw-mt-0" style="font-size:40px;line-height:1.2"><strong>$16</strong></p><!-- /wp:paragraph --><!-- wp:paragraph --><p>Lorem ipsum dolor sit amet commodo erat adipiscing.</p><!-- /wp:paragraph --><!-- wp:buttons {"style":{"spacing":{"margin":{"top":"30px"}}}} --><div class="wp-block-buttons" style="margin-top:30px"><!-- wp:button --><div class="wp-block-button"><a class="wp-block-button__link">' . esc_html_x( 'Get started', 'Block pattern content', 'twentig' ) . '</a></div><!-- /wp:button --></div><!-- /wp:buttons --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1.125em"},"spacing":{"margin":{"bottom":"10px"}}}} --><h3 style="font-size:1.125em;margin-bottom:10px">' . esc_html_x( 'Premium', 'Block pattern pricing content', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:paragraph {"style":{"typography":{"fontSize":"40px","lineHeight":"1.2"}},"className":"tw-mt-0"} --><p class="tw-mt-0" style="font-size:40px;line-height:1.2"><strong>$49</strong></p><!-- /wp:paragraph --><!-- wp:paragraph --><p>Integer enim risus suscipit eu iaculis sed ullamcorper.</p><!-- /wp:paragraph --><!-- wp:buttons {"style":{"spacing":{"margin":{"top":"30px"}}}} --><div class="wp-block-buttons" style="margin-top:30px"><!-- wp:button --><div class="wp-block-button"><a class="wp-block-button__link">' . esc_html_x( 'Get started', 'Block pattern content', 'twentig' ) . '</a></div><!-- /wp:button --></div><!-- /wp:buttons --></div><!-- /wp:column --></div><!-- /wp:columns --></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/pricing-2-column-cards-full-width-button',
	array(
		'title'      => __( 'Pricing 2 Column Cards: Full Width Button', 'twentig' ),
		'categories' => array( 'pricing' ),
		'content'    => '<!-- wp:group {"align":"full","layout":{"inherit":true}} --><div class="wp-block-group alignfull"><!-- wp:heading {"align":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'Pricing', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:columns {"twColumnStyle":"card-shadow"} --><div class="wp-block-columns tw-cols-card tw-cols-card-shadow"><!-- wp:column --><div class="wp-block-column"><!-- wp:heading {"level":3,"fontSize":"x-large","textAlign":"center","style":{"spacing":{"margin":{"bottom":"10px"}}}} --><h3 class="has-x-large-font-size has-text-align-center" style="margin-bottom:10px">' . esc_html_x( 'Standard', 'Block pattern pricing content', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:paragraph {"align":"center","style":{"typography":{"lineHeight":"1.2"}},"className":"tw-mt-0","fontSize":"large"} --><p class="has-text-align-center tw-mt-0 has-large-font-size" style="line-height:1.2"><strong>$16</strong></p><!-- /wp:paragraph --><!-- wp:buttons {"style":{"spacing":{"margin":{"top":"30px","bottom":"30px"}}}} --><div class="wp-block-buttons" style="margin-top:30px;margin-bottom:30px"><!-- wp:button {"width":100} --><div class="wp-block-button has-custom-width wp-block-button__width-100"><a class="wp-block-button__link">' . esc_html_x( 'Get started', 'Block pattern content', 'twentig' ) . '</a></div><!-- /wp:button --></div><!-- /wp:buttons --><!-- wp:list {"className":"tw-list-spacing-medium is-style-tw-checkmark"} --><ul class="tw-list-spacing-medium is-style-tw-checkmark"><li>Venenatis nec convallis</li><li>Sed eiusmod tempor labore</li><li>Integer enim risus suscipit</li><li>Aliquam tempus mi nulla</li></ul><!-- /wp:list --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:heading {"level":3,"fontSize":"x-large","textAlign":"center","style":{"spacing":{"margin":{"bottom":"10px"}}}} --><h3 class="has-x-large-font-size has-text-align-center" style="margin-bottom:10px">' . esc_html_x( 'Premium', 'Block pattern pricing content', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:paragraph {"align":"center","style":{"typography":{"lineHeight":"1.2"}},"className":"tw-mt-0","fontSize":"large"} --><p class="has-text-align-center tw-mt-0 has-large-font-size" style="line-height:1.2"><strong>$49</strong></p><!-- /wp:paragraph --><!-- wp:buttons {"style":{"spacing":{"margin":{"top":"30px","bottom":"30px"}}}} --><div class="wp-block-buttons" style="margin-top:30px;margin-bottom:30px"><!-- wp:button {"width":100} --><div class="wp-block-button has-custom-width wp-block-button__width-100"><a class="wp-block-button__link">' . esc_html_x( 'Get started', 'Block pattern content', 'twentig' ) . '</a></div><!-- /wp:button --></div><!-- /wp:buttons --><!-- wp:list {"className":"tw-list-spacing-medium is-style-tw-checkmark"} --><ul class="tw-list-spacing-medium is-style-tw-checkmark"><li>Morbi fringilla sapien libero</li><li>Duis enim porttitor id feugiat</li><li>Proin varius libero amet</li><li>Fusce sed magna eu ligula</li></ul><!-- /wp:list --></div><!-- /wp:column --></div><!-- /wp:columns --></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/pricing-2-column-cards-middle-alignment',
	array(
		'title'      => __( 'Pricing 2 Column Cards: Middle Alignment', 'twentig' ),
		'categories' => array( 'pricing' ),
		'content'    => '<!-- wp:group {"align":"full","layout":{"inherit":true}} --><div class="wp-block-group alignfull"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'Choose the right solution that fits your needs', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:columns {"verticalAlignment":"center","twColumnStyle":"card-shadow","twTextAlign":"center"} --><div class="wp-block-columns are-vertically-aligned-center tw-cols-card tw-cols-card-shadow has-text-align-center"><!-- wp:column {"verticalAlignment":"center"} --><div class="wp-block-column is-vertically-aligned-center"><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1.125em"},"spacing":{"margin":{"bottom":"10px"}}}} --><h3 style="font-size:1.125em;margin-bottom:10px">' . esc_html_x( 'Standard', 'Block pattern pricing content', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:paragraph {"style":{"typography":{"fontSize":"40px","lineHeight":"1.2"}},"className":"tw-mt-0"} --><p class="tw-mt-0" style="font-size:40px;line-height:1.2"><strong>$16</strong></p><!-- /wp:paragraph --><!-- wp:list {"className":"tw-list-spacing-medium is-style-tw-no-bullet"} --><ul class="tw-list-spacing-medium is-style-tw-no-bullet"><li>Venenatis nec convallis</li><li>Sed eiusmod ut tempor labore</li><li>Integer enim risus suscipit</li></ul><!-- /wp:list --><!-- wp:buttons {"layout":{"type":"flex","justifyContent":"center"},"style":{"spacing":{"margin":{"top":"30px"}}}} --><div class="wp-block-buttons" style="margin-top:30px"><!-- wp:button --><div class="wp-block-button"><a class="wp-block-button__link">' . esc_html_x( 'Get started', 'Block pattern content', 'twentig' ) . '</a></div><!-- /wp:button --></div><!-- /wp:buttons --></div><!-- /wp:column --><!-- wp:column {"verticalAlignment":"center"} --><div class="wp-block-column is-vertically-aligned-center"><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1.125em"},"spacing":{"margin":{"bottom":"10px"}}}} --><h3 style="font-size:1.125em;margin-bottom:10px">' . esc_html_x( 'Premium', 'Block pattern pricing content', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:paragraph {"style":{"typography":{"fontSize":"40px","lineHeight":"1.2"}},"className":"tw-mt-0"} --><p class="tw-mt-0" style="font-size:40px;line-height:1.2"><strong>$49</strong></p><!-- /wp:paragraph --><!-- wp:list {"className":"tw-list-spacing-medium is-style-tw-no-bullet"} --><ul class="tw-list-spacing-medium is-style-tw-no-bullet"><li>Sed non neque at lectus</li><li>Morbi fringilla sapien libero</li><li>Duis enim elit porttitor</li><li>Proin varius libero amet tortor</li><li>Fusce sed magna eu ligula</li><li>Integer sagittis efficitur</li></ul><!-- /wp:list --><!-- wp:buttons {"layout":{"type":"flex","justifyContent":"center"},"style":{"spacing":{"margin":{"top":"30px"}}}} --><div class="wp-block-buttons" style="margin-top:30px"><!-- wp:button --><div class="wp-block-button"><a class="wp-block-button__link">' . esc_html_x( 'Get started', 'Block pattern content', 'twentig' ) . '</a></div><!-- /wp:button --></div><!-- /wp:buttons --></div><!-- /wp:column --></div><!-- /wp:columns --></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/pricing-2-column-cards-image',
	array(
		'title'      => __( 'Pricing 2 Column Cards: Image', 'twentig' ),
		'categories' => array( 'pricing' ),
		'content'    => '<!-- wp:group {"align":"full","layout":{"inherit":true}} --><div class="wp-block-group alignfull"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'Pricing', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:columns {"twColumnStyle":"card-shadow","twStretchedMedia":true,"twStretchedLink":true} --><div class="wp-block-columns tw-cols-card tw-cols-card-shadow tw-stretched-media tw-stretched-link"><!-- wp:column --><div class="wp-block-column"><!-- wp:image --><figure class="wp-block-image"><img src="' . twentig_get_pattern_asset( 'landscape1.jpg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:heading {"level":3,"fontSize":"large","style":{"spacing":{"margin":{"bottom":"10px"}}}} --><h3 class="has-large-font-size" style="margin-bottom:10px">' . esc_html_x( 'Standard', 'Block pattern pricing content', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0"} --><p class="tw-mt-0"><strong>$16</strong></p><!-- /wp:paragraph --><!-- wp:list {"className":"is-style-tw-border-inner"} --><ul class="is-style-tw-border-inner"><li>Venenatis nec convallis</li><li>Sed eiusmod tempor labore</li><li>Integer enim risus suscipit</li><li>Aliquam tempus mi nulla</li></ul><!-- /wp:list --><!-- wp:paragraph --><p><a href="#"><strong>' . esc_html_x( 'Get started', 'Block pattern content', 'twentig' ) . '</strong></a></p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:image --><figure class="wp-block-image"><img src="' . twentig_get_pattern_asset( 'landscape2.jpg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:heading {"level":3,"fontSize":"large","style":{"spacing":{"margin":{"bottom":"10px"}}}} --><h3 class="has-large-font-size" style="margin-bottom:10px">' . esc_html_x( 'Premium', 'Block pattern pricing content', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0"} --><p class="tw-mt-0"><strong>$49</strong></p><!-- /wp:paragraph --><!-- wp:list {"className":"is-style-tw-border-inner"} --><ul class="is-style-tw-border-inner"><li>Aliquam tempus mi nulla</li><li>Sed neque lectus bibendum</li><li>Morbi fringilla sapien libero</li><li>Duis enim elit porttitor id</li></ul><!-- /wp:list --><!-- wp:paragraph --><p><a href="#"><strong>' . esc_html_x( 'Get started', 'Block pattern content', 'twentig' ) . '</strong></a></p><!-- /wp:paragraph --></div><!-- /wp:column --></div><!-- /wp:columns --></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/pricing-3-column-cards',
	array(
		'title'      => __( 'Pricing 3 Column Cards', 'twentig' ),
		'categories' => array( 'pricing' ),
		'content'    => '<!-- wp:group {"align":"full","layout":{"inherit":true}} --><div class="wp-block-group alignfull"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'Choose the right solution that fits your needs', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:columns {"align":"wide","twStack":"md-2","className":"tw-justify-center","twColumnStyle":"card-shadow"} --><div class="wp-block-columns alignwide tw-cols-stack-md-2 tw-justify-center tw-cols-card tw-cols-card-shadow"><!-- wp:column -->	<div class="wp-block-column"><!-- wp:heading {"level":3,"fontSize":"x-large","style":{"spacing":{"margin":{"bottom":"10px"}}}} --><h3 class="has-x-large-font-size" style="margin-bottom:10px">' . esc_html_x( 'Standard', 'Block pattern pricing content', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:paragraph {"style":{"typography":{"lineHeight":"1.2"}},"className":"tw-mt-0","fontSize":"large"} --><p class="tw-mt-0 has-large-font-size" style="line-height:1.2"><strong>$16</strong></p><!-- /wp:paragraph --><!-- wp:separator {"className":"tw-mb-5 tw-mt-5 is-style-wide"} --><hr class="wp-block-separator tw-mb-5 tw-mt-5 is-style-wide"/><!-- /wp:separator --><!-- wp:list {"className":"is-style-tw-checkmark tw-list-spacing-medium"} --><ul class="is-style-tw-checkmark tw-list-spacing-medium"><li>Venenatis nec convallis</li><li>Sed eiusmod ut tempor</li><li>Integer enim risus suscipit</li><li>Aliquam tempus mi nulla</li></ul><!-- /wp:list --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:heading {"level":3,"fontSize":"x-large","style":{"spacing":{"margin":{"bottom":"10px"}}}} --><h3 class="has-x-large-font-size" style="margin-bottom:10px">' . esc_html_x( 'Premium', 'Block pattern pricing content', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:paragraph {"style":{"typography":{"lineHeight":"1.2"}},"className":"tw-mt-0","fontSize":"large"} --><p class="tw-mt-0 has-large-font-size" style="line-height:1.2"><strong>$49</strong></p><!-- /wp:paragraph --><!-- wp:separator {"className":"tw-mb-5 tw-mt-5 is-style-wide"} --><hr class="wp-block-separator tw-mb-5 tw-mt-5 is-style-wide"/><!-- /wp:separator --><!-- wp:list {"className":"tw-list-spacing-medium is-style-tw-checkmark"} --><ul class="tw-list-spacing-medium is-style-tw-checkmark"><li>Sed non neque at lectus</li><li>Morbi fringilla sapien</li><li>Duis enim elit porttitor</li><li>Proin varius libero sit</li></ul><!-- /wp:list --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:heading {"level":3,"fontSize":"x-large","style":{"spacing":{"margin":{"bottom":"10px"}}}} --><h3 class="has-x-large-font-size" style="margin-bottom:10px">' . esc_html_x( 'Business', 'Block pattern content (refers to a pricing plan, smaller than Enterprise)', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:paragraph {"style":{"typography":{"lineHeight":"1.2"}},"className":"tw-mt-0","fontSize":"large"} --><p class="tw-mt-0 has-large-font-size" style="line-height:1.2"><strong>$89</strong></p><!-- /wp:paragraph --><!-- wp:separator {"className":"tw-mb-5 tw-mt-5 is-style-wide"} --><hr class="wp-block-separator tw-mb-5 tw-mt-5 is-style-wide"/><!-- /wp:separator --><!-- wp:list {"className":"is-style-tw-checkmark tw-list-spacing-medium"} --><ul class="is-style-tw-checkmark tw-list-spacing-medium"><li>Fusce magna eu ligula</li><li>Integer sagittis efficitur</li><li>Mauris dui tellus</li><li>Class aptent taciti</li></ul><!-- /wp:list --></div><!-- /wp:column --></div><!-- /wp:columns --></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/pricing-3-column-cards-centered-text',
	array(
		'title'      => __( 'Pricing 3 Column Cards: Centered Text', 'twentig' ),
		'categories' => array( 'pricing' ),
		'content'    => '<!-- wp:group {"align":"full","layout":{"inherit":true}} --><div class="wp-block-group alignfull"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'Choose the right solution that fits your needs', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:columns {"align":"wide","twStack":"md-2","className":"tw-justify-center","twColumnStyle":"card-shadow","twTextAlign":"center"} --><div class="wp-block-columns alignwide tw-cols-stack-md-2 tw-justify-center tw-cols-card tw-cols-card-shadow has-text-align-center"><!-- wp:column --><div class="wp-block-column"><!-- wp:heading {"level":3,"fontSize":"x-large","style":{"spacing":{"margin":{"bottom":"10px"}}}} --><h3 class="has-x-large-font-size" style="margin-bottom:10px">' . esc_html_x( 'Standard', 'Block pattern pricing content', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:paragraph {"style":{"typography":{"lineHeight":"1.2"}},"className":"tw-mt-0","fontSize":"large"} --><p class="tw-mt-0 has-large-font-size" style="line-height:1.2"><strong>$16</strong></p><!-- /wp:paragraph --><!-- wp:buttons {"layout":{"type":"flex","justifyContent":"center"},"style":{"spacing":{"margin":{"top":"30px","bottom":"25px"}}}} --><div class="wp-block-buttons" style="margin-top:30px;margin-bottom:25px"><!-- wp:button --><div class="wp-block-button"><a class="wp-block-button__link">' . esc_html_x( 'Get started', 'Block pattern content', 'twentig' ) . '</a></div><!-- /wp:button --></div><!-- /wp:buttons --><!-- wp:list {"className":"is-style-tw-border-inner"} --><ul class="is-style-tw-border-inner"><li>Venenatis nec convallis</li><li>Sed eiusmod ut tempor</li><li>Integer enim risus suscipit</li><li>Aliquam tempus mi nulla</li></ul><!-- /wp:list --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:heading {"level":3,"fontSize":"x-large","style":{"spacing":{"margin":{"bottom":"10px"}}}} --><h3 class="has-x-large-font-size" style="margin-bottom:10px">' . esc_html_x( 'Premium', 'Block pattern pricing content', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:paragraph {"style":{"typography":{"lineHeight":"1.2"}},"className":"tw-mt-0","fontSize":"large"} --><p class="tw-mt-0 has-large-font-size" style="line-height:1.2"><strong>$49</strong></p><!-- /wp:paragraph --><!-- wp:buttons {"layout":{"type":"flex","justifyContent":"center"},"style":{"spacing":{"margin":{"top":"30px","bottom":"25px"}}}} --><div class="wp-block-buttons" style="margin-top:30px;margin-bottom:25px"><!-- wp:button --><div class="wp-block-button"><a class="wp-block-button__link">' . esc_html_x( 'Get started', 'Block pattern content', 'twentig' ) . '</a></div><!-- /wp:button --></div><!-- /wp:buttons --><!-- wp:list {"className":"is-style-tw-border-inner"} --><ul class="is-style-tw-border-inner"><li>Sed non neque at lectus</li><li>Morbi fringilla sapien</li><li>Duis enim elit porttitor</li><li>Proin varius libero sit</li></ul><!-- /wp:list --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:heading {"level":3,"fontSize":"x-large","style":{"spacing":{"margin":{"bottom":"10px"}}}} --><h3 class="has-x-large-font-size" style="margin-bottom:10px">' . esc_html_x( 'Business', 'Block pattern content (refers to a pricing plan, smaller than Enterprise)', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:paragraph {"style":{"typography":{"lineHeight":"1.2"}},"className":"tw-mt-0","fontSize":"large"} --><p class="tw-mt-0 has-large-font-size" style="line-height:1.2"><strong>$89</strong></p><!-- /wp:paragraph --><!-- wp:buttons {"layout":{"type":"flex","justifyContent":"center"},"style":{"spacing":{"margin":{"top":"30px","bottom":"25px"}}}} --><div class="wp-block-buttons" style="margin-top:30px;margin-bottom:25px"><!-- wp:button --><div class="wp-block-button"><a class="wp-block-button__link">' . esc_html_x( 'Get started', 'Block pattern content', 'twentig' ) . '</a></div><!-- /wp:button --></div><!-- /wp:buttons --><!-- wp:list {"className":"is-style-tw-border-inner"} --><ul class="is-style-tw-border-inner"><li>Fusce magna eu ligula</li><li>Integer sagittis efficitur</li><li>Mauris dui tellus</li><li>Class aptent taciti</li></ul><!-- /wp:list --></div><!-- /wp:column --></div><!-- /wp:columns --></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/pricing-3-column-cards-checkmarked-list',
	array(
		'title'      => __( 'Pricing 3 Column Cards: Checkmarked List', 'twentig' ),
		'categories' => array( 'pricing' ),
		'content'    => '<!-- wp:group {"align":"full","layout":{"inherit":true}} --><div class="wp-block-group alignfull"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'Choose the right solution that fits your needs', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:columns {"align":"wide","twStack":"md-2","twColumnStyle":"card-border"} --><div class="wp-block-columns alignwide tw-cols-stack-md-2 tw-cols-card tw-cols-card-border"><!-- wp:column --><div class="wp-block-column"><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1.125em"},"spacing":{"margin":{"bottom":"10px"}}}} --><h3 style="font-size:1.125em;margin-bottom:10px">' . esc_html_x( 'Standard', 'Block pattern pricing content', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:paragraph {"style":{"typography":{"fontSize":"40px","lineHeight":"1.2"}},"className":"tw-mt-0"} --><p class="tw-mt-0" style="font-size:40px;line-height:1.2"><strong>$16</strong></p><!-- /wp:paragraph --><!-- wp:buttons {"style":{"spacing":{"margin":{"top":"25px","bottom":"30px"}}}} --><div class="wp-block-buttons" style="margin-top:25px;margin-bottom:30px"><!-- wp:button --><div class="wp-block-button"><a class="wp-block-button__link">' . esc_html_x( 'Get started', 'Block pattern content', 'twentig' ) . '</a></div><!-- /wp:button --></div><!-- /wp:buttons --><!-- wp:list {"className":"is-style-tw-checkmark tw-list-spacing-medium"} --><ul class="is-style-tw-checkmark tw-list-spacing-medium"><li>Venenatis nec convallis</li><li>Sed eiusmod ut tempor labore</li><li>Integer enim risus suscipit</li></ul><!-- /wp:list --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1.125em"},"spacing":{"margin":{"bottom":"10px"}}}} --><h3 style="font-size:1.125em;margin-bottom:10px">' . esc_html_x( 'Premium', 'Block pattern pricing content', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:paragraph {"style":{"typography":{"fontSize":"40px","lineHeight":"1.2"}},"className":"tw-mt-0"} --><p class="tw-mt-0" style="font-size:40px;line-height:1.2"><strong>$49</strong></p><!-- /wp:paragraph --><!-- wp:buttons {"style":{"spacing":{"margin":{"top":"25px","bottom":"30px"}}}} --><div class="wp-block-buttons" style="margin-top:25px;margin-bottom:30px"><!-- wp:button --><div class="wp-block-button"><a class="wp-block-button__link">' . esc_html_x( 'Get started', 'Block pattern content', 'twentig' ) . '</a></div><!-- /wp:button --></div><!-- /wp:buttons --><!-- wp:list {"className":"is-style-tw-checkmark tw-list-spacing-medium"} --><ul class="is-style-tw-checkmark tw-list-spacing-medium"><li>Venenatis nec convallis</li><li>Sed eiusmod ut tempor labore</li><li>Integer enim risus suscipit</li><li>Aliquam tempus mi nulla porta luctus</li></ul><!-- /wp:list --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1.125em"},"spacing":{"margin":{"bottom":"10px"}}}} --><h3 style="font-size:1.125em;margin-bottom:10px">' . esc_html_x( 'Business', 'Block pattern content (refers to a pricing plan, smaller than Enterprise)', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:paragraph {"style":{"typography":{"fontSize":"40px","lineHeight":"1.2"}},"className":"tw-mt-0"} --><p class="tw-mt-0" style="font-size:40px;line-height:1.2"><strong>$89</strong></p><!-- /wp:paragraph --><!-- wp:buttons {"style":{"spacing":{"margin":{"top":"25px","bottom":"30px"}}}} --><div class="wp-block-buttons" style="margin-top:25px;margin-bottom:30px"><!-- wp:button --><div class="wp-block-button"><a class="wp-block-button__link">' . esc_html_x( 'Get started', 'Block pattern content', 'twentig' ) . '</a></div><!-- /wp:button --></div><!-- /wp:buttons --><!-- wp:list {"className":"is-style-tw-checkmark tw-list-spacing-medium"} --><ul class="is-style-tw-checkmark tw-list-spacing-medium"><li>Venenatis nec convallis</li><li>Sed eiusmod ut tempor labore</li><li>Integer enim risus suscipit</li><li>Aliquam tempus mi nulla porta luctus</li><li>Lectus bibendum blandit</li></ul><!-- /wp:list --></div><!-- /wp:column --></div><!-- /wp:columns --></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/pricing-3-column-cards-small-image',
	array(
		'title'      => __( 'Pricing 3 Column Cards: Small Image', 'twentig' ),
		'categories' => array( 'pricing' ),
		'content'    => '<!-- wp:group {"align":"full","layout":{"inherit":true}} --><div class="wp-block-group alignfull"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'Pricing', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:columns {"align":"wide","twStack":"md-2","className":"tw-justify-center","twColumnStyle":"card-shadow","twTextAlign":"center"} --><div class="wp-block-columns alignwide tw-cols-stack-md-2 tw-justify-center tw-cols-card tw-cols-card-shadow has-text-align-center"><!-- wp:column --><div class="wp-block-column"><!-- wp:image {"align":"center","width":100,"height":100} --><div class="wp-block-image"><figure class="aligncenter is-resized"><img src="https://s.w.org/images/core/emoji/12.0.0-1/svg/1f407.svg" alt="" width="100" height="100"/></figure></div><!-- /wp:image --><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1.125em"},"spacing":{"margin":{"bottom":"10px"}}}} --><h3 style="font-size:1.125em;margin-bottom:10px">' . esc_html_x( 'Standard', 'Block pattern pricing content', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:paragraph {"style":{"typography":{"fontSize":"40px","lineHeight":"1.2"}},"className":"tw-mt-0"} --><p class="tw-mt-0" style="font-size:40px;line-height:1.2"><strong>$16</strong></p><!-- /wp:paragraph --><!-- wp:buttons {"layout":{"type":"flex","justifyContent":"center"},"style":{"spacing":{"margin":{"top":"25px","bottom":"30px"}}}} --><div class="wp-block-buttons" style="margin-top:25px;margin-bottom:30px"><!-- wp:button --><div class="wp-block-button"><a class="wp-block-button__link">' . esc_html_x( 'Get started', 'Block pattern content', 'twentig' ) . '</a></div><!-- /wp:button --></div><!-- /wp:buttons --><!-- wp:list {"className":"is-style-tw-no-bullet tw-list-spacing-medium"} --><ul class="is-style-tw-no-bullet tw-list-spacing-medium"><li>Venenatis nec convallis</li><li>Sed eiusmod ut tempor</li><li>Integer enim suscipit</li><li>Aliquam tempus mi nulla</li></ul><!-- /wp:list --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:image {"align":"center","width":100,"height":100} --><div class="wp-block-image"><figure class="aligncenter is-resized"><img src="https://s.w.org/images/core/emoji/12.0.0-1/svg/1f411.svg" alt="" width="100" height="100"/></figure></div><!-- /wp:image --><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1.125em"},"spacing":{"margin":{"bottom":"10px"}}}} --><h3 style="font-size:1.125em;margin-bottom:10px">' . esc_html_x( 'Premium', 'Block pattern pricing content', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:paragraph {"style":{"typography":{"fontSize":"40px","lineHeight":"1.2"}},"className":"tw-mt-0"} --><p class="tw-mt-0" style="font-size:40px;line-height:1.2"><strong>$49</strong></p><!-- /wp:paragraph --><!-- wp:buttons {"layout":{"type":"flex","justifyContent":"center"},"style":{"spacing":{"margin":{"top":"25px","bottom":"30px"}}}} --><div class="wp-block-buttons" style="margin-top:25px;margin-bottom:30px"><!-- wp:button --><div class="wp-block-button"><a class="wp-block-button__link">' . esc_html_x( 'Get started', 'Block pattern content', 'twentig' ) . '</a></div><!-- /wp:button --></div><!-- /wp:buttons --><!-- wp:list {"className":"is-style-tw-no-bullet tw-list-spacing-medium"} --><ul class="is-style-tw-no-bullet tw-list-spacing-medium"><li>Sed non neque at lectus</li><li>Morbi fringilla sapien</li><li>Duis enim elit porttitor</li><li>Proin varius libero sit</li></ul><!-- /wp:list --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:image {"align":"center","width":100,"height":100,"sizeSlug":"large"} --><div class="wp-block-image"><figure class="aligncenter size-large is-resized"><img src="https://s.w.org/images/core/emoji/12.0.0-1/svg/1f418.svg" alt="" width="100" height="100"/></figure></div><!-- /wp:image --><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1.125em"},"spacing":{"margin":{"bottom":"10px"}}}} --><h3 style="font-size:1.125em;margin-bottom:10px">' . esc_html_x( 'Business', 'Block pattern content (refers to a pricing plan, smaller than Enterprise)', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:paragraph {"style":{"typography":{"fontSize":"40px","lineHeight":"1.2"}},"className":"tw-mt-0"} --><p class="tw-mt-0" style="font-size:40px;line-height:1.2"><strong>$89</strong></p><!-- /wp:paragraph --><!-- wp:buttons {"layout":{"type":"flex","justifyContent":"center"},"style":{"spacing":{"margin":{"top":"25px","bottom":"30px"}}}} --><div class="wp-block-buttons" style="margin-top:25px;margin-bottom:30px"><!-- wp:button --><div class="wp-block-button"><a class="wp-block-button__link">' . esc_html_x( 'Get started', 'Block pattern content', 'twentig' ) . '</a></div><!-- /wp:button --></div><!-- /wp:buttons --><!-- wp:list {"className":"is-style-tw-no-bullet tw-list-spacing-medium"} --><ul class="is-style-tw-no-bullet tw-list-spacing-medium"><li>Fusce magna eu ligula</li><li>Integer sagittis efficitur</li><li>Mauris dui tellus</li><li>Class aptent taciti</li></ul><!-- /wp:list --></div><!-- /wp:column --></div><!-- /wp:columns --></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/pricing-3-column-cards-image',
	array(
		'title'      => __( 'Pricing 3 Column Cards: Image', 'twentig' ),
		'categories' => array( 'pricing' ),
		'content'    => '<!-- wp:group {"align":"full","layout":{"inherit":true}} --><div class="wp-block-group alignfull"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'Pricing', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:columns {"align":"wide","twStack":"md-2","twColumnStyle":"card-shadow","twStretchedMedia":true,"twStretchedLink":true} --><div class="wp-block-columns alignwide tw-cols-stack-md-2 tw-cols-card tw-cols-card-shadow tw-stretched-media tw-stretched-link"><!-- wp:column --><div class="wp-block-column"><!-- wp:image --><figure class="wp-block-image"><img src="' . twentig_get_pattern_asset( 'landscape1.jpg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:heading {"level":3,"fontSize":"large","style":{"spacing":{"margin":{"bottom":"10px"}}}} --><h3 class="has-large-font-size" style="margin-bottom:10px">' . esc_html_x( 'Standard', 'Block pattern pricing content', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0"} --><p class="tw-mt-0"><strong>$120</strong></p><!-- /wp:paragraph --><!-- wp:paragraph --><p>Lorem ipsum dolor sit amet, commodo erat adipiscing elit. Sed do eiusmod ut tempor incididunt ut labore et dolore.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p><a href="#"><strong>' . esc_html_x( 'Get started', 'Block pattern content', 'twentig' ) . '</strong></a></p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:image --><figure class="wp-block-image"><img src="' . twentig_get_pattern_asset( 'landscape2.jpg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:heading {"level":3,"fontSize":"large","style":{"spacing":{"margin":{"bottom":"10px"}}}} --><h3 class="has-large-font-size" style="margin-bottom:10px">' . esc_html_x( 'Premium', 'Block pattern pricing content', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0"} --><p class="tw-mt-0"><strong>$200</strong></p><!-- /wp:paragraph --><!-- wp:paragraph --><p>Integer enim risus, suscipit eu iaculis sed, ullamcorper at metus. Venenatis nec convallis magna, eu congue velit.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p><a href="#"><strong>' . esc_html_x( 'Get started', 'Block pattern content', 'twentig' ) . '</strong></a></p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:image --><figure class="wp-block-image"><img src="' . twentig_get_pattern_asset( 'landscape3.jpg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:heading {"level":3,"fontSize":"large","style":{"spacing":{"margin":{"bottom":"10px"}}}} --><h3 class="has-large-font-size" style="margin-bottom:10px">' . esc_html_x( 'Business', 'Block pattern content (refers to a pricing plan, smaller than Enterprise)', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0"} --><p class="tw-mt-0"><strong>$380</strong></p><!-- /wp:paragraph --><!-- wp:paragraph --><p>Aliquam tempus mi nulla porta luctus. Sed non neque at lectus bibendum blandit. Morbi fringilla sapien libero.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p><a href="#"><strong>' . esc_html_x( 'Get started', 'Block pattern content', 'twentig' ) . '</strong></a></p><!-- /wp:paragraph --></div><!-- /wp:column --></div><!-- /wp:columns --></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/pricing-3-columns-image',
	array(
		'title'      => __( 'Pricing 3 Columns: Image', 'twentig' ),
		'categories' => array( 'pricing' ),
		'content'    => '<!-- wp:group {"align":"full","layout":{"inherit":true}} --><div class="wp-block-group alignfull"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'Pricing', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:columns {"align":"wide","twStack":"md-2"} --><div class="wp-block-columns alignwide tw-cols-stack-md-2"><!-- wp:column --><div class="wp-block-column"><!-- wp:image --><figure class="wp-block-image"><img src="' . twentig_get_pattern_asset( 'landscape1.jpg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:heading {"level":3,"fontSize":"x-large","style":{"spacing":{"margin":{"bottom":"10px"}}}} --><h3 class="has-x-large-font-size" style="margin-bottom:10px">' . esc_html_x( 'Standard', 'Block pattern pricing content', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:paragraph {"style":{"typography":{"lineHeight":"1.2"}},"className":"tw-mt-0","fontSize":"large"} --><p class="tw-mt-0 has-large-font-size" style="line-height:1.2"><strong>$16</strong></p><!-- /wp:paragraph --><!-- wp:buttons {"style":{"spacing":{"margin":{"top":"30px","bottom":"20px"}}}} --><div class="wp-block-buttons" style="margin-top:30px;margin-bottom:20px"><!-- wp:button --><div class="wp-block-button"><a class="wp-block-button__link">' . esc_html_x( 'Get started', 'Block pattern content', 'twentig' ) . '</a></div><!-- /wp:button --></div><!-- /wp:buttons --><!-- wp:list {"className":"tw-list-spacing-medium is-style-tw-border-inner"} --><ul class="tw-list-spacing-medium is-style-tw-border-inner"><li>Venenatis nec convallis</li><li>Sed eius tempor labore</li><li>Integer enim risus suscipit</li></ul><!-- /wp:list --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:image --><figure class="wp-block-image"><img src="' . twentig_get_pattern_asset( 'landscape2.jpg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:heading {"level":3,"fontSize":"x-large","style":{"spacing":{"margin":{"bottom":"10px"}}}} --><h3 class="has-x-large-font-size" style="margin-bottom:10px">' . esc_html_x( 'Premium', 'Block pattern pricing content', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:paragraph {"style":{"typography":{"lineHeight":"1.2"}},"className":"tw-mt-0","fontSize":"large"} --><p class="tw-mt-0 has-large-font-size" style="line-height:1.2"><strong>$49</strong></p><!-- /wp:paragraph --><!-- wp:buttons {"style":{"spacing":{"margin":{"top":"30px","bottom":"20px"}}}} --><div class="wp-block-buttons" style="margin-top:30px;margin-bottom:20px"><!-- wp:button --><div class="wp-block-button"><a class="wp-block-button__link">' . esc_html_x( 'Get started', 'Block pattern content', 'twentig' ) . '</a></div><!-- /wp:button --></div><!-- /wp:buttons --><!-- wp:list {"className":"tw-list-spacing-medium is-style-tw-border-inner"} --><ul class="tw-list-spacing-medium is-style-tw-border-inner"><li>Venenatis nec convallis</li><li>Sed eius tempor labore</li><li>Integer enim risus suscipit</li><li>Aliquam tempus mi nulla</li></ul><!-- /wp:list --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:image --><figure class="wp-block-image"><img src="' . twentig_get_pattern_asset( 'landscape3.jpg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:heading {"level":3,"fontSize":"x-large","style":{"spacing":{"margin":{"bottom":"10px"}}}} --><h3 class="has-x-large-font-size" style="margin-bottom:10px">' . esc_html_x( 'Business', 'Block pattern content (refers to a pricing plan, smaller than Enterprise)', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:paragraph {"style":{"typography":{"lineHeight":"1.2"}},"className":"tw-mt-0","fontSize":"large"} --><p class="tw-mt-0 has-large-font-size" style="line-height:1.2"><strong>$89</strong></p><!-- /wp:paragraph --><!-- wp:buttons {"style":{"spacing":{"margin":{"top":"30px","bottom":"20px"}}}} --><div class="wp-block-buttons" style="margin-top:30px;margin-bottom:20px"><!-- wp:button --><div class="wp-block-button"><a class="wp-block-button__link">' . esc_html_x( 'Get started', 'Block pattern content', 'twentig' ) . '</a></div><!-- /wp:button --></div><!-- /wp:buttons --><!-- wp:list {"className":"tw-list-spacing-medium is-style-tw-border-inner"} --><ul class="tw-list-spacing-medium is-style-tw-border-inner"><li>Venenatis nec convallis</li><li>Sed eius tempor labore</li><li>Integer enim risus suscipit</li><li>Aliquam tempus mi nulla</li><li>Sed non neque at bibendum</li></ul><!-- /wp:list --></div><!-- /wp:column --></div><!-- /wp:columns --></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/pricing-4-column-cards',
	array(
		'title'      => __( 'Pricing 4 Column Cards', 'twentig' ),
		'categories' => array( 'pricing' ),
		'content'    => '<!-- wp:group {"align":"full","layout":{"inherit":true}} --><div class="wp-block-group alignfull"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'Choose the right solution that fits your needs', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:columns {"align":"wide","twStack":"md-2","twColumnStyle":"card-shadow","twTextAlign":"center"} --><div class="wp-block-columns alignwide  tw-cols-stack-md-2 tw-cols-card tw-cols-card-shadow has-text-align-center"><!-- wp:column --><div class="wp-block-column"><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1.125em"},"spacing":{"margin":{"bottom":"20px"}}}} --><h3 style="font-size:1.125em;margin-bottom:20px">' . esc_html_x( 'Standard', 'Block pattern pricing content', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:paragraph {"style":{"typography":{"fontSize":28,"lineHeight":"1.2"}},"className":"tw-mt-0"} --><p class="tw-mt-0" style="font-size:28px;line-height:1.2">$16</p><!-- /wp:paragraph --><!-- wp:buttons {"style":{"spacing":{"margin":{"top":"30px"}}}} --><div class="wp-block-buttons" style="margin-top:30px"><!-- wp:button {"width":100} --><div class="wp-block-button has-custom-width wp-block-button__width-100"><a class="wp-block-button__link">' . esc_html_x( 'Get started', 'Block pattern content', 'twentig' ) . '</a></div><!-- /wp:button --></div><!-- /wp:buttons --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1.125em"},"spacing":{"margin":{"bottom":"20px"}}}} --><h3 style="font-size:1.125em;margin-bottom:20px">' . esc_html_x( 'Premium', 'Block pattern pricing content', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:paragraph {"style":{"typography":{"fontSize":28,"lineHeight":"1.2"}},"className":"tw-mt-0"} --><p class="tw-mt-0" style="font-size:28px;line-height:1.2">$49</p><!-- /wp:paragraph --><!-- wp:buttons {"style":{"spacing":{"margin":{"top":"30px"}}}} --><div class="wp-block-buttons" style="margin-top:30px"><!-- wp:button {"width":100} --><div class="wp-block-button has-custom-width wp-block-button__width-100"><a class="wp-block-button__link">' . esc_html_x( 'Get started', 'Block pattern content', 'twentig' ) . '</a></div><!-- /wp:button --></div><!-- /wp:buttons --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1.125em"},"spacing":{"margin":{"bottom":"20px"}}}} --><h3 style="font-size:1.125em;margin-bottom:20px">' . esc_html_x( 'Business', 'Block pattern content (refers to a pricing plan, smaller than Enterprise)', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:paragraph {"style":{"typography":{"fontSize":28,"lineHeight":"1.2"}},"className":"tw-mt-0"} --><p class="tw-mt-0" style="font-size:28px;line-height:1.2">$89</p><!-- /wp:paragraph --><!-- wp:buttons {"style":{"spacing":{"margin":{"top":"30px"}}}} --><div class="wp-block-buttons" style="margin-top:30px"><!-- wp:button {"width":100} --><div class="wp-block-button has-custom-width wp-block-button__width-100"><a class="wp-block-button__link">' . esc_html_x( 'Get started', 'Block pattern content', 'twentig' ) . '</a></div><!-- /wp:button --></div><!-- /wp:buttons --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1.125em"},"spacing":{"margin":{"bottom":"20px"}}}} --><h3 style="font-size:1.125em;margin-bottom:20px">' . esc_html_x( 'Enterprise', 'Block pattern pricing content', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:paragraph {"style":{"typography":{"fontSize":28,"lineHeight":"1.2"}},"className":"tw-mt-0"} --><p class="tw-mt-0" style="font-size:28px;line-height:1.2">$250</p><!-- /wp:paragraph --><!-- wp:buttons {"style":{"spacing":{"margin":{"top":"30px"}}}} --><div class="wp-block-buttons" style="margin-top:30px"><!-- wp:button {"width":100} --><div class="wp-block-button has-custom-width wp-block-button__width-100"><a class="wp-block-button__link">' . esc_html_x( 'Get started', 'Block pattern content', 'twentig' ) . '</a></div><!-- /wp:button --></div><!-- /wp:buttons --></div><!-- /wp:column --></div><!-- /wp:columns --></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/price-list-table',
	array(
		'title'      => __( 'Price List: Table', 'twentig' ),
		'categories' => array( 'pricing' ),
		'content'    => '<!-- wp:group {"align":"full","layout":{"inherit":true}} --><div class="wp-block-group alignfull"><!-- wp:heading {"textAlign":"center","style":{"spacing":{"margin":{"bottom":"40px"}}}} --><h2 class="has-text-align-center" style="margin-bottom:40px">' . esc_html_x( 'Pricing', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:table {"className":"is-style-tw-border-h-inner tw-row-valign-top"} --><figure class="wp-block-table is-style-tw-border-h-inner tw-row-valign-top"><table><tbody><tr><td>Venenatis convallis</td><td class="has-text-align-right" data-align="right">$18</td></tr><tr><td>Aliquam tempus</td><td class="has-text-align-right" data-align="right">$16</td></tr><tr><td>Integer sagittis</td><td class="has-text-align-right" data-align="right">$20</td></tr><tr><td>Efficitur rhoncus</td><td class="has-text-align-right" data-align="right">$13</td></tr><tr><td>Porttitor feugiat</td><td class="has-text-align-right" data-align="right">$15</td></tr></tbody></table></figure><!-- /wp:table --></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/price-list-table-with-description',
	array(
		'title'      => __( 'Price List: Table with Description', 'twentig' ),
		'categories' => array( 'pricing' ),
		'content'    => '<!-- wp:group {"align":"full","layout":{"inherit":true}} --><div class="wp-block-group alignfull"><!-- wp:heading {"textAlign":"center","style":{"spacing":{"margin":{"bottom":"40px"}}}} --><h2 class="has-text-align-center" style="margin-bottom:40px">' . esc_html_x( 'Pricing', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:table {"className":"is-style-tw-border-h-inner tw-row-valign-top"} --><figure class="wp-block-table is-style-tw-border-h-inner tw-row-valign-top"><table><tbody><tr><td><strong>' . esc_html_x( 'First item', 'Block pattern content', 'twentig' ) . '</strong><br><em>Sed do eiusmod ut tempor incididunt ut labore et dolore</em></td><td class="has-text-align-right" data-align="right">$16</td></tr><tr><td><strong>' . esc_html_x( 'Second item', 'Block pattern content', 'twentig' ) . '</strong><br><em>Venenatis nec convallis magna eu congue velit</em></td><td class="has-text-align-right" data-align="right">$18</td></tr><tr><td><strong>' . esc_html_x( 'Third item', 'Block pattern content', 'twentig' ) . '</strong><br><em>Fusce sed magna eu ligula commodo hendrerit fringilla</em></td><td class="has-text-align-right" data-align="right">$15</td></tr><tr><td><strong>' . esc_html_x( 'Fourth item', 'Block pattern content', 'twentig' ) . '</strong><br><em>Duis enim elit porttitor id feugiat at blandit at erat</em></td><td class="has-text-align-right" data-align="right">$24</td></tr></tbody></table></figure><!-- /wp:table --></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/price-list-stack',
	array(
		'title'      => __( 'Price List: Stack', 'twentig' ),
		'categories' => array( 'pricing' ), 
		'content'    => '<!-- wp:group {"align":"full","layout":{"inherit":true},"style":{"spacing":{"blockGap":"5px"}}} --><div class="wp-block-group alignfull"><!-- wp:heading {"textAlign":"center","style":{"spacing":{"margin":{"bottom":"60px"}}}} --><h2 class="has-text-align-center" style="margin-bottom:60px">' . esc_html_x( 'Pricing', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:heading {"textAlign":"center","level":3,"style":{"typography":{"fontSize":"1.125em"},"spacing":{"margin":{"top":"30px"}}}} --><h3 class="has-text-align-center" style="font-size:1.125em;margin-top:30px">' . esc_html_x( 'First item', 'Block pattern content', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:paragraph {"align":"center","style":{"typography":{"lineHeight":1.4}}} --><p class="has-text-align-center" style="line-height:1.4"><em>Lorem ipsum dolor sit amet commodo erat adipiscing elit</em></p><!-- /wp:paragraph --><!-- wp:paragraph {"align":"center"} --><p class="has-text-align-center">$18</p><!-- /wp:paragraph --><!-- wp:heading {"textAlign":"center","level":3,"style":{"typography":{"fontSize":"1.125em"},"spacing":{"margin":{"top":"30px"}}}} --><h3 class="has-text-align-center" style="font-size:1.125em;margin-top:30px">' . esc_html_x( 'Second item', 'Block pattern content', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:paragraph {"align":"center","style":{"typography":{"lineHeight":1.4}}} --><p class="has-text-align-center" style="line-height:1.4"><em>Integer enim risus suscipit eu iaculis sed ullamcorper at metus</em></p><!-- /wp:paragraph --><!-- wp:paragraph {"align":"center"} --><p class="has-text-align-center">$16</p><!-- /wp:paragraph --><!-- wp:heading {"textAlign":"center","level":3,"style":{"typography":{"fontSize":"1.125em"},"spacing":{"margin":{"top":"30px"}}}} --><h3 class="has-text-align-center" style="font-size:1.125em;margin-top:30px">' . esc_html_x( 'Third item', 'Block pattern content', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:paragraph {"align":"center","style":{"typography":{"lineHeight":1.4}}} --><p class="has-text-align-center" style="line-height:1.4"><em>Aliquam tempus mi nulla porta luctus non neque at lectus bibendum blandit</em></p><!-- /wp:paragraph --><!-- wp:paragraph {"align":"center"} --><p class="has-text-align-center">$20</p><!-- /wp:paragraph --><!-- wp:heading {"textAlign":"center","level":3,"style":{"typography":{"fontSize":"1.125em"},"spacing":{"margin":{"top":"30px"}}}} --><h3 class="has-text-align-center" style="font-size:1.125em;margin-top:30px">' . esc_html_x( 'Fourth item', 'Block pattern content', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:paragraph {"align":"center","style":{"typography":{"lineHeight":1.4}}} --><p class="has-text-align-center" style="line-height:1.4"><em>Duis enim elit porttitor id feugiat at blandit at erat varius libero amet</em></p><!-- /wp:paragraph --><!-- wp:paragraph {"align":"center"} --><p class="has-text-align-center">$13</p><!-- /wp:paragraph --></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/price-list-stack-with-separator',
	array(
		'title'      => __( 'Price List: Stack with Separator', 'twentig' ),
		'categories' => array( 'pricing' ),
		'content'    => '<!-- wp:group {"align":"full","layout":{"inherit":true}} --><div class="wp-block-group alignfull"><!-- wp:heading {"textAlign":"center","style":{"spacing":{"margin":{"bottom":"50px"}}}} --><h2 class="has-text-align-center" style="margin-bottom:50px">' . esc_html_x( 'Pricing', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:heading {"level":3,"fontSize":"large","style":{"spacing":{"margin":{"bottom":"15px"}}}} --><h3 class="has-large-font-size" style="margin-bottom:15px">' . esc_html_x( 'First item', 'Block pattern content', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0"} --><p class="tw-mt-0"><strong>$120</strong></p><!-- /wp:paragraph --><!-- wp:paragraph --><p>Lorem ipsum dolor sit amet, commodo erat adipiscing elit. Sed do eiusmod ut tempor incididunt ut labore et dolore. Duis consectetur consectetur est.</p><!-- /wp:paragraph --><!-- wp:separator {"className":"tw-mb-7 tw-mt-7 is-style-wide"} --><hr class="wp-block-separator tw-mb-7 tw-mt-7 is-style-wide"/><!-- /wp:separator --><!-- wp:heading {"level":3,"fontSize":"large","style":{"spacing":{"margin":{"bottom":"15px"}}}} --><h3 class="has-large-font-size" style="margin-bottom:15px">' . esc_html_x( 'Second item', 'Block pattern content', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0"} --><p class="tw-mt-0"><strong>$240</strong></p><!-- /wp:paragraph --><!-- wp:paragraph --><p>Integer enim risus suscipit eu iaculis sed, ullamcorper at metus. Venenatis nec convallis magna eu congue velit. Suspendisse vel nulla at lectus fermentum faucibus vitae at mi.</p><!-- /wp:paragraph --><!-- wp:separator {"className":"tw-mb-7 tw-mt-7 is-style-wide"} --><hr class="wp-block-separator tw-mb-7 tw-mt-7 is-style-wide"/><!-- /wp:separator --><!-- wp:heading {"level":3,"fontSize":"large","style":{"spacing":{"margin":{"bottom":"15px"}}}} --><h3 class="has-large-font-size" style="margin-bottom:15px">' . esc_html_x( 'Third item', 'Block pattern content', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0"} --><p class="tw-mt-0"><strong>$260</strong></p><!-- /wp:paragraph --><!-- wp:paragraph --><p>Aliquam tempus mi nulla porta luctus. Sed non neque at lectus bibendum blandit. Morbi fringilla sapien libero. Vestibulum consectetur sodales nisl et ultrices.</p><!-- /wp:paragraph --></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/price-list-2-column-cards',
	array(
		'title'      => __( 'Price List: 2 Column Cards', 'twentig' ),
		'categories' => array( 'pricing' ),
		'content'    => '<!-- wp:group {"align":"full","layout":{"inherit":true}} --><div class="wp-block-group alignfull"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'Pricing', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:columns {"twColumnStyle":"card-border"} --><div class="wp-block-columns tw-cols-card tw-cols-card-border"><!-- wp:column --><div class="wp-block-column"><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1.125em"},"spacing":{"margin":{"bottom":"10px"}}}} --><h3 style="font-size:1.125em;margin-bottom:10px">' . esc_html_x( 'First item', 'Block pattern content', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:paragraph {"fontSize":"small","className":"tw-mt-0"} --><p class="has-small-font-size tw-mt-0"><strong>$16</strong></p><!-- /wp:paragraph --><!-- wp:paragraph --><p>Lorem ipsum dolor sit amet, commodo erat adipiscing elit</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1.125em"},"spacing":{"margin":{"bottom":"10px"}}}} --><h3 style="font-size:1.125em;margin-bottom:10px">' . esc_html_x( 'Second item', 'Block pattern content', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:paragraph {"fontSize":"small","className":"tw-mt-0"} --><p class="has-small-font-size tw-mt-0"><strong>$12</strong></p><!-- /wp:paragraph --><!-- wp:paragraph --><p>Integer enim risus suscipit eu iaculis sed ullamcorper at metus</p><!-- /wp:paragraph --></div><!-- /wp:column --></div><!-- /wp:columns --><!-- wp:columns {"twColumnStyle":"card-border"} --><div class="wp-block-columns tw-cols-card tw-cols-card-border"><!-- wp:column --><div class="wp-block-column"><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1.125em"},"spacing":{"margin":{"bottom":"10px"}}}} --><h3 style="font-size:1.125em;margin-bottom:10px">' . esc_html_x( 'Third item', 'Block pattern content', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:paragraph {"fontSize":"small","className":"tw-mt-0"} --><p class="has-small-font-size tw-mt-0"><strong>$20</strong></p><!-- /wp:paragraph --><!-- wp:paragraph --><p>Aliquam tempus mi nulla porta luctus non neque at lectus bibendum blandit</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1.125em"},"spacing":{"margin":{"bottom":"10px"}}}} --><h3 style="font-size:1.125em;margin-bottom:10px">' . esc_html_x( 'Fourth item', 'Block pattern content', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:paragraph {"fontSize":"small","className":"tw-mt-0"} --><p class="has-small-font-size tw-mt-0"><strong>$16</strong></p><!-- /wp:paragraph --><!-- wp:paragraph --><p>Duis enim elit porttitor id feugiat at blandit at erat varius libero sit amet</p><!-- /wp:paragraph --></div><!-- /wp:column --></div><!-- /wp:columns --></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/price-list-2-columns-with-top-border',
	array(
		'title'      => __( 'Price List: 2 Columns with Top Border', 'twentig' ),
		'categories' => array( 'pricing' ),
		'content'    => '<!-- wp:group {"align":"full","layout":{"inherit":true}} --><div class="wp-block-group alignfull"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'Choose the right solution that fits your needs', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:columns {"align":"wide","twGutter":"large","twColumnStyle":"border-top"} --><div class="wp-block-columns alignwide tw-gutter-large tw-cols-border-top"><!-- wp:column --><div class="wp-block-column"><!-- wp:heading {"level":3,"fontSize":"large","style":{"spacing":{"margin":{"bottom":"10px"}}}} --><h3 class="has-large-font-size" style="margin-bottom:10px">' . esc_html_x( 'First item', 'Block pattern content', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0"} --><p class="tw-mt-0"><strong>$18</strong></p><!-- /wp:paragraph --><!-- wp:paragraph --><p>Lorem ipsum dolor sit amet, commodo erat adipiscing elit. Sed do eiusmod ut tempor incididunt ut labore et dolore. Duis consectetur consectetur est. Nunc vestibulum id lectus eu vestibulum.</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:heading {"level":3,"fontSize":"large","style":{"spacing":{"margin":{"bottom":"10px"}}}} --><h3 class="has-large-font-size" style="margin-bottom:10px">' . esc_html_x( 'Second item', 'Block pattern content', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0"} --><p class="tw-mt-0"><strong>$16</strong></p><!-- /wp:paragraph --><!-- wp:paragraph --><p>Integer enim risus, suscipit eu iaculis sed, ullamcorper at metus. Venenatis nec convallis magna, eu congue velit. Suspendisse vel nulla at lectus fermentum faucibus vitae at mi neque ac suscipit porta.</p><!-- /wp:paragraph --></div><!-- /wp:column --></div><!-- /wp:columns --><!-- wp:columns {"align":"wide","twGutter":"large","twColumnStyle":"border-top"} --><div class="wp-block-columns alignwide tw-gutter-large tw-cols-border-top"><!-- wp:column --><div class="wp-block-column"><!-- wp:heading {"level":3,"fontSize":"large","style":{"spacing":{"margin":{"bottom":"10px"}}}} --><h3 class="has-large-font-size" style="margin-bottom:10px">' . esc_html_x( 'Third item', 'Block pattern content', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0"} --><p class="tw-mt-0"><strong>$13</strong></p><!-- /wp:paragraph --><!-- wp:paragraph --><p>Aliquam tempus mi nulla porta luctus. Sed non neque at lectus bibendum blandit. Morbi fringilla sapien libero. Vestibulum consectetur sodales nisl et ultrices. Quisque sed ligula lectus.</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:heading {"level":3,"fontSize":"large","style":{"spacing":{"margin":{"bottom":"10px"}}}} --><h3 class="has-large-font-size" style="margin-bottom:10px">' . esc_html_x( 'Fourth item', 'Block pattern content', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0"} --><p class="tw-mt-0"><strong>$15</strong></p><!-- /wp:paragraph --><!-- wp:paragraph --><p>Duis enim elit, porttitor id feugiat at, blandit at erat. Proin varius libero sit amet tortor volutpat diam laoreet. Integer malesuada risus blandit dignissim convallis.</p><!-- /wp:paragraph --></div><!-- /wp:column --></div><!-- /wp:columns --></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/price-list-3-columns',
	array(
		'title'      => __( 'Price List: 3 Columns', 'twentig' ),
		'categories' => array( 'pricing' ),
		'content'    => '<!-- wp:group {"align":"full","layout":{"inherit":true}} --><div class="wp-block-group alignfull"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'Pricing', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:columns {"align":"wide","twGutter":"large"} --><div class="wp-block-columns alignwide tw-gutter-large"><!-- wp:column --><div class="wp-block-column"><!-- wp:paragraph {"style":{"typography":{"lineHeight":1.4}},"className":"tw-mb-2"} --><p class="tw-mb-2" style="line-height:1.4">Lorem ipsum dolor sit amet commodo erat adipiscing elit</p><!-- /wp:paragraph --><!-- wp:paragraph {"fontSize":"small","className":"tw-mt-0"} --><p class="has-small-font-size tw-mt-0">$18</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:paragraph {"style":{"typography":{"lineHeight":1.4}},"className":"tw-mb-2"} --><p class="tw-mb-2" style="line-height:1.4">Integer enim risus suscipit eu iaculis sed ullamcorper at metus</p><!-- /wp:paragraph --><!-- wp:paragraph {"fontSize":"small","className":"tw-mt-0"} --><p class="has-small-font-size tw-mt-0">$16</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:paragraph {"style":{"typography":{"lineHeight":1.4}},"className":"tw-mb-2"} --><p class="tw-mb-2" style="line-height:1.4">Aliquam tempus mi nulla porta luctus non neque at lectus bibendum blandit</p><!-- /wp:paragraph --><!-- wp:paragraph {"fontSize":"small","className":"tw-mt-0"} --><p class="has-small-font-size tw-mt-0">$20</p><!-- /wp:paragraph --></div><!-- /wp:column --></div><!-- /wp:columns --><!-- wp:columns {"align":"wide","twGutter":"large"} --><div class="wp-block-columns alignwide tw-gutter-large"><!-- wp:column --><div class="wp-block-column"><!-- wp:paragraph {"style":{"typography":{"lineHeight":1.4}},"className":"tw-mb-2"} --><p class="tw-mb-2" style="line-height:1.4">Duis enim elit porttitor id feugiat at blandit at erat varius libero amet</p><!-- /wp:paragraph --><!-- wp:paragraph {"fontSize":"small","className":"tw-mt-0"} --><p class="has-small-font-size tw-mt-0">$13</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:paragraph {"style":{"typography":{"lineHeight":1.4}},"className":"tw-mb-2"} --><p class="tw-mb-2" style="line-height:1.4">Fusce sed magna eu ligula commodo hendrerit fringilla ac purus</p><!-- /wp:paragraph --><!-- wp:paragraph {"fontSize":"small","className":"tw-mt-0"} --><p class="has-small-font-size tw-mt-0">$15</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:paragraph {"style":{"typography":{"lineHeight":1.4}},"className":"tw-mb-2"} --><p class="tw-mb-2" style="line-height:1.4">Mauris dui tellus mollis quis varius sit amet ultrices in leo</p><!-- /wp:paragraph --><!-- wp:paragraph {"fontSize":"small","className":"tw-mt-0"} --><p class="has-small-font-size tw-mt-0">$24</p><!-- /wp:paragraph --></div><!-- /wp:column --></div><!-- /wp:columns --></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/price-list-3-columns-with-centered-text',
	array(
		'title'      => __( 'Price List: 3 Columns with Centered Text', 'twentig' ),
		'categories' => array( 'pricing' ),
		'content'    => '<!-- wp:group {"align":"full","layout":{"inherit":true}} --><div class="wp-block-group alignfull"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'Pricing', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:columns {"align":"wide","twGutter":"large","twTextAlign":"center"} --><div class="wp-block-columns alignwide tw-gutter-large has-text-align-center"><!-- wp:column --><div class="wp-block-column"><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1.125em"},"spacing":{"margin":{"bottom":"5px"}}}} --><h3 style="font-size:1.125em;margin-bottom:5px">' . esc_html_x( 'First item', 'Block pattern content', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:paragraph {"style":{"typography":{"lineHeight":1.4}},"className":"tw-mt-0 tw-mb-1"} --><p class="tw-mt-0 tw-mb-1" style="line-height:1.4"><em>Lorem ipsum dolor sit amet commodo erat adipiscing elit</em></p><!-- /wp:paragraph --><!-- wp:paragraph {"className":"tw-mt-0"} --><p class="tw-mt-0">$18</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1.125em"},"spacing":{"margin":{"bottom":"5px"}}}} --><h3 style="font-size:1.125em;margin-bottom:5px">' . esc_html_x( 'Second item', 'Block pattern content', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:paragraph {"style":{"typography":{"lineHeight":1.4}},"className":"tw-mt-0 tw-mb-1"} --><p class="tw-mt-0 tw-mb-1" style="line-height:1.4"><em>Integer enim risus suscipit eu iaculis sed ullamcorper at metus</em></p><!-- /wp:paragraph --><!-- wp:paragraph {"className":"tw-mt-0"} --><p class="tw-mt-0">$16</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1.125em"},"spacing":{"margin":{"bottom":"5px"}}}} --><h3 style="font-size:1.125em;margin-bottom:5px">' . esc_html_x( 'Third item', 'Block pattern content', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:paragraph {"style":{"typography":{"lineHeight":1.4}},"className":"tw-mt-0 tw-mb-1"} --><p class="tw-mt-0 tw-mb-1" style="line-height:1.4"><em>Aliquam tempus mi nulla porta luctus non neque at lectus bibendum blandit</em></p><!-- /wp:paragraph --><!-- wp:paragraph {"className":"tw-mt-0"} --><p class="tw-mt-0">$20</p><!-- /wp:paragraph --></div><!-- /wp:column --></div><!-- /wp:columns --><!-- wp:columns {"align":"wide","twGutter":"large","twTextAlign":"center"} --><div class="wp-block-columns alignwide tw-gutter-large has-text-align-center"><!-- wp:column --><div class="wp-block-column"><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1.125em"},"spacing":{"margin":{"bottom":"5px"}}}} --><h3 style="font-size:1.125em;margin-bottom:5px">' . esc_html_x( 'Fourth item', 'Block pattern content', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:paragraph {"style":{"typography":{"lineHeight":1.4}},"className":"tw-mt-0 tw-mb-1"} --><p class="tw-mt-0 tw-mb-1" style="line-height:1.4"><em>Duis enim elit porttitor id feugiat at blandit at erat varius libero amet</em></p><!-- /wp:paragraph --><!-- wp:paragraph {"className":"tw-mt-0"} --><p class="tw-mt-0">$13</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1.125em"},"spacing":{"margin":{"bottom":"5px"}}}} --><h3 style="font-size:1.125em;margin-bottom:5px">' . esc_html_x( 'Fifth item', 'Block pattern content', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:paragraph {"style":{"typography":{"lineHeight":1.4}},"className":"tw-mt-0 tw-mb-1"} --><p class="tw-mt-0 tw-mb-1" style="line-height:1.4"><em>Fusce sed magna eu ligula commodo hendrerit fringilla ac purus</em></p><!-- /wp:paragraph --><!-- wp:paragraph {"className":"tw-mt-0"} --><p class="tw-mt-0">$15</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1.125em"},"spacing":{"margin":{"bottom":"5px"}}}} --><h3 style="font-size:1.125em;margin-bottom:5px">' . esc_html_x( 'Sixth item', 'Block pattern content', 'twentig' ) . '</h3><!-- /wp:heading --><!-- wp:paragraph {"style":{"typography":{"lineHeight":1.4}},"className":"tw-mt-0 tw-mb-1"} --><p class="tw-mt-0 tw-mb-1" style="line-height:1.4"><em>Mauris dui tellus mollis quis varius sit amet ultrices in leo</em></p><!-- /wp:paragraph --><!-- wp:paragraph {"className":"tw-mt-0"} --><p class="tw-mt-0">$24</p><!-- /wp:paragraph --></div><!-- /wp:column --></div><!-- /wp:columns --></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/price-list-3-column-gallery',
	array(
		'title'      => __( 'Price List: 3 Column Gallery', 'twentig' ),
		'categories' => array( 'pricing' ),
		'content'    => '<!-- wp:group {"align":"full","layout":{"inherit":true}} --><div class="wp-block-group alignfull"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'Pricing', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:gallery {"columns":3,"imageCrop":false,"linkTo":"none","align":"wide","className":"tw-caption-large","twFixedWidthCols":true,"twImageRatio":"1-1","twStackedSm":true} --><figure class="wp-block-gallery alignwide has-nested-images columns-3 tw-caption-large tw-fixed-cols tw-img-ratio-1-1 tw-stack-sm"><!-- wp:image {"sizeSlug":"large","linkDestination":"none"} --><figure class="wp-block-image size-large"><img src="' . twentig_get_pattern_asset( 'landscape1.jpg' ) . '" alt=""/><figcaption><strong>' . esc_html_x( 'First item', 'Block pattern content', 'twentig' ) . '</strong><br>$18</figcaption></figure><!-- /wp:image --><!-- wp:image {"sizeSlug":"large","linkDestination":"none"} --><figure class="wp-block-image size-large"><img src="' . twentig_get_pattern_asset( 'landscape2.jpg' ) . '" alt=""/><figcaption><strong>' . esc_html_x( 'Second item', 'Block pattern content', 'twentig' ) . '</strong><br>$15</figcaption></figure><!-- /wp:image --><!-- wp:image {"sizeSlug":"large","linkDestination":"none"} --><figure class="wp-block-image size-large"><img src="' . twentig_get_pattern_asset( 'landscape3.jpg' ) . '" alt=""/><figcaption><strong>' . esc_html_x( 'Third item', 'Block pattern content', 'twentig' ) . '</strong><br>$12</figcaption></figure><!-- /wp:image --><!-- wp:image {"sizeSlug":"large","linkDestination":"none"} --><figure class="wp-block-image size-large"><img src="' . twentig_get_pattern_asset( 'landscape4.jpg' ) . '" alt=""/><figcaption><strong>' . esc_html_x( 'Fourth item', 'Block pattern content', 'twentig' ) . '</strong><br>$16</figcaption></figure><!-- /wp:image --><!-- wp:image {"sizeSlug":"large","linkDestination":"none"} --><figure class="wp-block-image size-large"><img src="' . twentig_get_pattern_asset( 'landscape5.jpg' ) . '" alt=""/><figcaption><strong>' . esc_html_x( 'Fifth item', 'Block pattern content', 'twentig' ) . '</strong><br>$12</figcaption></figure><!-- /wp:image --><!-- wp:image {"sizeSlug":"large","linkDestination":"none"} --><figure class="wp-block-image size-large"><img src="' . twentig_get_pattern_asset( 'landscape6.jpg' ) . '" alt=""/><figcaption><strong>' . esc_html_x( 'Sixth item', 'Block pattern content', 'twentig' ) . '</strong><br>$14</figcaption></figure><!-- /wp:image --></figure><!-- /wp:gallery --></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/price-list-4-columns-with-image',
	array(
		'title'      => __( 'Price List: 4 Columns with Image', 'twentig' ),
		'categories' => array( 'pricing' ),
		'content'    => '<!-- wp:group {"align":"full","layout":{"inherit":true}} --><div class="wp-block-group alignfull"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'Pricing', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:columns {"align":"wide","twStack":"md-2"} --><div class="wp-block-columns alignwide tw-cols-stack-md-2"><!-- wp:column --><div class="wp-block-column"><!-- wp:image --><figure class="wp-block-image"><img src="' . twentig_get_pattern_asset( 'landscape1.jpg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1em"},"spacing":{"margin":{"bottom":"5px"}}}} --><h3 style="font-size:1em;margin-bottom:5px">' . esc_html_x( 'First item', 'Block pattern content', 'twentig' ) . ' — $18</h3><!-- /wp:heading --><!-- wp:paragraph {"style":{"typography":{"fontSize":"0.875em"}},"className":"tw-mt-0"} --><p class="tw-mt-0" style="font-size:0.875em">Lorem ipsum dolor sit amet</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:image --><figure class="wp-block-image"><img src="' . twentig_get_pattern_asset( 'landscape2.jpg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1em"},"spacing":{"margin":{"bottom":"5px"}}}} --><h3 style="font-size:1em;margin-bottom:5px">' . esc_html_x( 'Second item', 'Block pattern content', 'twentig' ) . ' — $15</h3><!-- /wp:heading --><!-- wp:paragraph {"style":{"typography":{"fontSize":"0.875em"}},"className":"tw-mt-0"} --><p class="tw-mt-0" style="font-size:0.875em">Sed do eiusmod ut tempor incididunt</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:image --><figure class="wp-block-image"><img src="' . twentig_get_pattern_asset( 'landscape3.jpg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1em"},"spacing":{"margin":{"bottom":"5px"}}}} --><h3 style="font-size:1em;margin-bottom:5px">' . esc_html_x( 'Third item', 'Block pattern content', 'twentig' ) . ' — $12</h3><!-- /wp:heading --><!-- wp:paragraph {"style":{"typography":{"fontSize":"0.875em"}},"className":"tw-mt-0"} --><p class="tw-mt-0" style="font-size:0.875em">Integer enim risus suscipit eu iaculis sed</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:image --><figure class="wp-block-image"><img src="' . twentig_get_pattern_asset( 'landscape4.jpg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1em"},"spacing":{"margin":{"bottom":"5px"}}}} --><h3 style="font-size:1em;margin-bottom:5px">' . esc_html_x( 'Fourth item', 'Block pattern content', 'twentig' ) . ' — $16</h3><!-- /wp:heading --><!-- wp:paragraph {"style":{"typography":{"fontSize":"0.875em"}},"className":"tw-mt-0"} --><p class="tw-mt-0" style="font-size:0.875em">Venenatis nec convallis magna</p><!-- /wp:paragraph --></div><!-- /wp:column --></div><!-- /wp:columns --><!-- wp:columns {"align":"wide","twStack":"md-2"} --><div class="wp-block-columns alignwide tw-cols-stack-md-2"><!-- wp:column --><div class="wp-block-column"><!-- wp:image --><figure class="wp-block-image"><img src="' . twentig_get_pattern_asset( 'landscape5.jpg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1em"},"spacing":{"margin":{"bottom":"5px"}}}} --><h3 style="font-size:1em;margin-bottom:5px">' . esc_html_x( 'Fifth item', 'Block pattern content', 'twentig' ) . ' — $12</h3><!-- /wp:heading --><!-- wp:paragraph {"style":{"typography":{"fontSize":"0.875em"}},"className":"tw-mt-0"} --><p class="tw-mt-0" style="font-size:0.875em">Aliquam tempus mi eu nulla porta luctus</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:image --><figure class="wp-block-image"><img src="' . twentig_get_pattern_asset( 'landscape6.jpg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1em"},"spacing":{"margin":{"bottom":"5px"}}}} --><h3 style="font-size:1em;margin-bottom:5px">' . esc_html_x( 'Sixth item', 'Block pattern content', 'twentig' ) . ' — $14</h3><!-- /wp:heading --><!-- wp:paragraph {"style":{"typography":{"fontSize":"0.875em"}},"className":"tw-mt-0"} --><p class="tw-mt-0" style="font-size:0.875em">Sed non neque at lectus bibendum blandit</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:image --><figure class="wp-block-image"><img src="' . twentig_get_pattern_asset( 'landscape7.jpg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1em"},"spacing":{"margin":{"bottom":"5px"}}}} --><h3 style="font-size:1em;margin-bottom:5px">' . esc_html_x( 'Seventh item', 'Block pattern content', 'twentig' ) . ' — $20</h3><!-- /wp:heading --><!-- wp:paragraph {"style":{"typography":{"fontSize":"0.875em"}},"className":"tw-mt-0"} --><p class="tw-mt-0" style="font-size:0.875em">Duis enim elit porttitor id feugiat at blandit</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:image --><figure class="wp-block-image"><img src="' . twentig_get_pattern_asset( 'landscape8.jpg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1em"},"spacing":{"margin":{"bottom":"5px"}}}} --><h3 style="font-size:1em;margin-bottom:5px">' . esc_html_x( 'Eighth item', 'Block pattern content', 'twentig' ) . ' — $15</h3><!-- /wp:heading --><!-- wp:paragraph {"style":{"typography":{"fontSize":"0.875em"}},"className":"tw-mt-0"} --><p class="tw-mt-0" style="font-size:0.875em">Proin varius libero sit amet tortor volutpat</p><!-- /wp:paragraph --></div><!-- /wp:column --></div><!-- /wp:columns --></div><!-- /wp:group -->',
	)
);

