<?php
/**
 * Team block patterns.
 *
 * @package twentig
 * @phpcs:disable Squiz.Strings.DoubleQuoteUsage.NotRequired
 */

twentig_register_block_pattern(
	'twentig/team-2-columns',
	array(
		'title'      => __( 'Team 2 Columns', 'twentig' ),
		'categories' => array( 'team' ),
		'content'    => '<!-- wp:group {"align":"full","layout":{"inherit":true}} --><div class="wp-block-group alignfull"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'Our team', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:columns {"align":"wide"} --><div class="wp-block-columns alignwide"><!-- wp:column --><div class="wp-block-column"><!-- wp:image --><figure class="wp-block-image"><img src="' . twentig_get_pattern_asset( 'profile.jpg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:heading {"level":3,"fontSize":"large","style":{"spacing":{"margin":{"bottom":"10px"}}}} --><h3 class="has-large-font-size" style="margin-bottom:10px">Laura Adams</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0","fontSize":"small"} --><p class="tw-mt-0 has-small-font-size"><strong>' . esc_html_x( 'Developer', 'Block pattern content - Referring to a woman', 'twentig' ) . '</strong></p><!-- /wp:paragraph --><!-- wp:paragraph --><p>Lorem ipsum dolor sit amet, commodo erat adipiscing elit. Sed do eiusmod ut tempor incididunt ut labore et dolore. Integer enim risus suscipit eu iaculis sed ullamcorper at metus.</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:image --><figure class="wp-block-image"><img src="' . twentig_get_pattern_asset( 'profile.jpg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:heading {"level":3,"fontSize":"large","style":{"spacing":{"margin":{"bottom":"10px"}}}} --><h3 class="has-large-font-size" style="margin-bottom:10px">David Lin</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0","fontSize":"small"} --><p class="tw-mt-0 has-small-font-size"><strong>' . esc_html_x( 'Designer', 'Block pattern content - Referring to a man', 'twentig' ) . '</strong></p><!-- /wp:paragraph --><!-- wp:paragraph --><p>Aliquam tempus mi nulla porta luctus. Sed non neque at lectus bibendum blandit. Morbi fringilla sapien libero. Duis enim elit porttitor id feugiat at blandit at erat.</p><!-- /wp:paragraph --></div><!-- /wp:column --></div><!-- /wp:columns --></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/team-2-columns-centered-content',
	array(
		'title'      => __( 'Team 2 Columns: Centered Content', 'twentig' ),
		'categories' => array( 'team' ),
		'content'    => '<!-- wp:group {"align":"full","layout":{"inherit":true}} --><div class="wp-block-group alignfull"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'Our team', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:columns {"align":"wide","twStretchedMedia":true,"twTextAlign":"center"} --><div class="wp-block-columns alignwide has-text-align-center"><!-- wp:column --><div class="wp-block-column"><!-- wp:image --><figure class="wp-block-image"><img src="' . twentig_get_pattern_asset( 'profile.jpg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:heading {"level":3,"fontSize":"large","style":{"spacing":{"margin":{"bottom":"5px"}}}} --><h3 class="has-large-font-size" style="margin-bottom:5px">Julie Miller</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0","fontSize":"small"} --><p class="tw-mt-0 has-small-font-size">' . esc_html_x( 'Founder', 'Block pattern content - Referring to a woman', 'twentig' ) . '</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:image --><figure class="wp-block-image"><img src="' . twentig_get_pattern_asset( 'profile.jpg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:heading {"level":3,"fontSize":"large","style":{"spacing":{"margin":{"bottom":"5px"}}}} --><h3 class="has-large-font-size" style="margin-bottom:5px">David Lin</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0","fontSize":"small"} --><p class="tw-mt-0 has-small-font-size">' . esc_html_x( 'Designer', 'Block pattern content - Referring to a man', 'twentig' ) . '</p><!-- /wp:paragraph --></div><!-- /wp:column --></div><!-- /wp:columns --><!-- wp:columns {"align":"wide","twStretchedMedia":true,"twTextAlign":"center"} --><div class="wp-block-columns alignwide has-text-align-center"><!-- wp:column --><div class="wp-block-column"><!-- wp:image --><figure class="wp-block-image"><img src="' . twentig_get_pattern_asset( 'profile.jpg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:heading {"level":3,"fontSize":"large","style":{"spacing":{"margin":{"bottom":"5px"}}}} --><h3 class="has-large-font-size" style="margin-bottom:5px">Emily Patel</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0","fontSize":"small"} --><p class="tw-mt-0 has-small-font-size">' . esc_html_x( 'Developer', 'Block pattern content - Referring to a woman', 'twentig' ) . '</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:image --><figure class="wp-block-image"><img src="' . twentig_get_pattern_asset( 'profile.jpg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:heading {"level":3,"fontSize":"large","style":{"spacing":{"margin":{"bottom":"5px"}}}} --><h3 class="has-large-font-size" style="margin-bottom:5px">Richard Garcia</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0","fontSize":"small"} --><p class="tw-mt-0 has-small-font-size">' . esc_html_x( 'Photographer', 'Block pattern content - Referring to a man', 'twentig' ) . '</p><!-- /wp:paragraph --></div><!-- /wp:column --></div><!-- /wp:columns --></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/team-2-columns-image-with-frame',
	array(
		'title'      => __( 'Team 2 Columns: Image with Frame', 'twentig' ),
		'categories' => array( 'team' ),
		'content'    => '<!-- wp:group {"align":"full","layout":{"inherit":true}} --><div class="wp-block-group alignfull"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'Our team', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:columns {"align":"wide","twTextAlign":"center"} --><div class="wp-block-columns alignwide has-text-align-center"><!-- wp:column --><div class="wp-block-column"><!-- wp:image {"className":"is-style-tw-frame"} --><figure class="wp-block-image is-style-tw-frame"><img src="' . twentig_get_pattern_asset( 'profile.jpg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:heading {"level":3,"fontSize":"large"} --><h3 class="has-large-font-size">Julie Miller</h3><!-- /wp:heading --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:image {"className":"is-style-tw-frame"} --><figure class="wp-block-image is-style-tw-frame"><img src="' . twentig_get_pattern_asset( 'profile.jpg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:heading {"level":3,"fontSize":"large"} --><h3 class="has-large-font-size">David Lin</h3><!-- /wp:heading --></div><!-- /wp:column --></div><!-- /wp:columns --><!-- wp:columns {"align":"wide","twTextAlign":"center"} --><div class="wp-block-columns alignwide has-text-align-center"><!-- wp:column --><div class="wp-block-column"><!-- wp:image {"className":"is-style-tw-frame"} --><figure class="wp-block-image is-style-tw-frame"><img src="' . twentig_get_pattern_asset( 'profile.jpg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:heading {"level":3,"fontSize":"large"} --><h3 class="has-large-font-size">Emily Patel</h3><!-- /wp:heading --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:image {"className":"is-style-tw-frame"} --><figure class="wp-block-image is-style-tw-frame"><img src="' . twentig_get_pattern_asset( 'profile.jpg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:heading {"level":3,"fontSize":"large"} --><h3 class="has-large-font-size">Richard Garcia</h3><!-- /wp:heading --></div><!-- /wp:column --></div><!-- /wp:columns --></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/team-3-columns',
	array(
		'title'      => __( 'Team 3 Columns', 'twentig' ),
		'categories' => array( 'team' ),
		'content'    => '<!-- wp:group {"align":"full","layout":{"inherit":true}} --><div class="wp-block-group alignfull"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'Our team', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:columns {"align":"wide","twStack":"md-2"} --><div class="wp-block-columns alignwide tw-cols-stack-md-2"><!-- wp:column --><div class="wp-block-column"><!-- wp:image --><figure class="wp-block-image"><img src="' . twentig_get_pattern_asset( 'profile.jpg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:heading {"level":3,"fontSize":"large","style":{"spacing":{"margin":{"bottom":"10px"}}}} --><h3 class="has-large-font-size" style="margin-bottom:10px">Julie Miller</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0","fontSize":"small"} --><p class="tw-mt-0 has-small-font-size"><strong>' . esc_html_x( 'Founder', 'Block pattern content - Referring to a woman', 'twentig' ) . '</strong></p><!-- /wp:paragraph --><!-- wp:paragraph --><p>Lorem ipsum dolor sit amet, commodo erat adipiscing elit. Sed do eiusmod ut tempor incididunt ut labore et dolore.</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:image --><figure class="wp-block-image"><img src="' . twentig_get_pattern_asset( 'profile.jpg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:heading {"level":3,"fontSize":"large","style":{"spacing":{"margin":{"bottom":"10px"}}}} --><h3 class="has-large-font-size" style="margin-bottom:10px">David Lin</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0","fontSize":"small"} --><p class="tw-mt-0 has-small-font-size"><strong>' . esc_html_x( 'Designer', 'Block pattern content - Referring to a man', 'twentig' ) . '</strong></p><!-- /wp:paragraph --><!-- wp:paragraph --><p>Integer enim risus suscipit eu iaculis sed ullamcorper at metus. Venenatis nec convallis magna eu congue velit.</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:image --><figure class="wp-block-image"><img src="' . twentig_get_pattern_asset( 'profile.jpg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:heading {"level":3,"fontSize":"large","style":{"spacing":{"margin":{"bottom":"10px"}}}} --><h3 class="has-large-font-size" style="margin-bottom:10px">Emily Patel</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0","fontSize":"small"} --><p class="tw-mt-0 has-small-font-size"><strong>' . esc_html_x( 'Developer', 'Block pattern content - Referring to a woman', 'twentig' ) . '</strong></p><!-- /wp:paragraph --><!-- wp:paragraph --><p>Aliquam tempus mi nulla porta luctus. Sed non neque at lectus bibendum blandit. Morbi fringilla sapien libero.</p><!-- /wp:paragraph --></div><!-- /wp:column --></div><!-- /wp:columns --></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/team-3-columns-circle-image',
	array(
		'title'      => __( 'Team 3 Columns: Circle Image', 'twentig' ),
		'categories' => array( 'team' ),
		'content'    => '<!-- wp:group {"align":"full","layout":{"inherit":true}} --><div class="wp-block-group alignfull"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'Our team', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:columns {"align":"wide","twStack":"md-2","className":"tw-justify-center","twGutter":"large","twTextAlign":"center"} --><div class="wp-block-columns alignwide tw-cols-stack-md-2 tw-justify-center tw-gutter-large has-text-align-center"><!-- wp:column --><div class="wp-block-column"><!-- wp:image {"align":"center","width":160,"height":160,"className":"is-style-rounded"} --><div class="wp-block-image is-style-rounded"><figure class="aligncenter is-resized"><img src="' . twentig_get_pattern_asset( 'profile-square.jpg' ) . '" alt="" width="160" height="160"/></figure></div><!-- /wp:image --><!-- wp:heading {"level":3,"fontSize":"large","style":{"spacing":{"margin":{"bottom":"10px"}}}} --><h3 class="has-large-font-size" style="margin-bottom:10px">Julie Miller</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0","fontSize":"small"} --><p class="tw-mt-0 has-small-font-size"><strong>' . esc_html_x( 'Founder', 'Block pattern content - Referring to a woman', 'twentig' ) . '</strong></p><!-- /wp:paragraph --><!-- wp:paragraph --><p>Lorem ipsum dolor sit amet, commodo erat adipiscing elit. Sed do eiusmod ut tempor incididunt ut labore.</p><!-- /wp:paragraph --><!-- wp:social-links {"iconColor":"foreground","iconColorValue":"var(--wp--preset--color--foreground)","size":"has-small-icon-size","className":"is-style-logos-only","layout":{"type":"flex","justifyContent":"center"},"style":{"spacing":{"blockGap":"16px"}},"twHover":"opacity"} --><ul class="wp-block-social-links has-small-icon-size has-icon-color is-style-logos-only tw-hover-opacity"><!-- wp:social-link {"url":"#","service":"mail"} /--><!-- wp:social-link {"url":"#","service":"twitter"} /--><!-- wp:social-link {"url":"#","service":"instagram"} /--></ul><!-- /wp:social-links --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:image {"align":"center","width":160,"height":160,"className":"is-style-rounded"} --><div class="wp-block-image is-style-rounded"><figure class="aligncenter is-resized"><img src="' . twentig_get_pattern_asset( 'profile-square.jpg' ) . '" alt="" width="160" height="160"/></figure></div><!-- /wp:image --><!-- wp:heading {"level":3,"fontSize":"large","style":{"spacing":{"margin":{"bottom":"10px"}}}} --><h3 class="has-large-font-size" style="margin-bottom:10px">David Lin</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0","fontSize":"small"} --><p class="tw-mt-0 has-small-font-size"><strong>' . esc_html_x( 'Designer', 'Block pattern content - Referring to a man', 'twentig' ) . '</strong></p><!-- /wp:paragraph --><!-- wp:paragraph --><p>Integer enim risus suscipit eu iaculis sed ullamcorper at metus. Venenatis nec convallis magna eu congue velit.</p><!-- /wp:paragraph --><!-- wp:social-links {"iconColor":"foreground","iconColorValue":"var(--wp--preset--color--foreground)","size":"has-small-icon-size","className":"is-style-logos-only","layout":{"type":"flex","justifyContent":"center"},"style":{"spacing":{"blockGap":"16px"}},"twHover":"opacity"} --><ul class="wp-block-social-links has-small-icon-size has-icon-color is-style-logos-only tw-hover-opacity"><!-- wp:social-link {"url":"#","service":"mail"} /--><!-- wp:social-link {"url":"#","service":"twitter"} /--><!-- wp:social-link {"url":"#","service":"instagram"} /--></ul><!-- /wp:social-links --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:image {"align":"center","width":160,"height":160,"className":"is-style-rounded"} --><div class="wp-block-image is-style-rounded"><figure class="aligncenter is-resized"><img src="' . twentig_get_pattern_asset( 'profile-square.jpg' ) . '" alt="" width="160" height="160"/></figure></div><!-- /wp:image --><!-- wp:heading {"level":3,"fontSize":"large","style":{"spacing":{"margin":{"bottom":"10px"}}}} --><h3 class="has-large-font-size" style="margin-bottom:10px">Emily Patel</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0","fontSize":"small"} --><p class="tw-mt-0 has-small-font-size"><strong>' . esc_html_x( 'Developer', 'Block pattern content - Referring to a woman', 'twentig' ) . '</strong></p><!-- /wp:paragraph --><!-- wp:paragraph --><p>Aliquam tempus mi nulla porta luctus. Sed non neque at lectus bibendum blandit. Morbi fringilla sapien libero.</p><!-- /wp:paragraph --><!-- wp:social-links {"iconColor":"foreground","iconColorValue":"var(--wp--preset--color--foreground)","size":"has-small-icon-size","className":"is-style-logos-only","layout":{"type":"flex","justifyContent":"center"},"style":{"spacing":{"blockGap":"16px"}},"twHover":"opacity"} --><ul class="wp-block-social-links has-small-icon-size has-icon-color is-style-logos-only tw-hover-opacity"><!-- wp:social-link {"url":"#","service":"mail"} /--><!-- wp:social-link {"url":"#","service":"twitter"} /--><!-- wp:social-link {"url":"#","service":"instagram"} /--></ul><!-- /wp:social-links --></div><!-- /wp:column --></div><!-- /wp:columns --></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/team-3-columns-x-2',
	array(
		'title'      => __( 'Team 3 Columns x 2', 'twentig' ),
		'categories' => array( 'team' ),
		'content'    => '<!-- wp:group {"align":"full","layout":{"inherit":true}} --><div class="wp-block-group alignfull"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'Our team', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:columns {"align":"wide"} --><div class="wp-block-columns alignwide"><!-- wp:column --><div class="wp-block-column"><!-- wp:image --><figure class="wp-block-image"><img src="' . twentig_get_pattern_asset( 'profile.jpg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1.125em"},"spacing":{"margin":{"bottom":"5px"}}}} --><h3 style="font-size:1.125em;margin-bottom:5px">Julie Miller</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0","fontSize":"small"} --><p class="tw-mt-0 has-small-font-size">' . esc_html_x( 'Founder', 'Block pattern content - Referring to a woman', 'twentig' ) . '</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:image --><figure class="wp-block-image"><img src="' . twentig_get_pattern_asset( 'profile.jpg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1.125em"},"spacing":{"margin":{"bottom":"5px"}}}} --><h3 style="font-size:1.125em;margin-bottom:5px">David Lin</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0","fontSize":"small"} --><p class="tw-mt-0 has-small-font-size">' . esc_html_x( 'Designer', 'Block pattern content - Referring to a man', 'twentig' ) . '</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:image --><figure class="wp-block-image"><img src="' . twentig_get_pattern_asset( 'profile.jpg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1.125em"},"spacing":{"margin":{"bottom":"5px"}}}} --><h3 style="font-size:1.125em;margin-bottom:5px">Emily Patel</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0","fontSize":"small"} --><p class="tw-mt-0 has-small-font-size">' . esc_html_x( 'Developer', 'Block pattern content - Referring to a woman', 'twentig' ) . '</p><!-- /wp:paragraph --></div><!-- /wp:column --></div><!-- /wp:columns --><!-- wp:columns {"align":"wide"} --><div class="wp-block-columns alignwide"><!-- wp:column --><div class="wp-block-column"><!-- wp:image --><figure class="wp-block-image"><img src="' . twentig_get_pattern_asset( 'profile.jpg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1.125em"},"spacing":{"margin":{"bottom":"5px"}}}} --><h3 style="font-size:1.125em;margin-bottom:5px">Eric Wilson</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0","fontSize":"small"} --><p class="tw-mt-0 has-small-font-size">' . esc_html_x( 'Designer', 'Block pattern content - Referring to a man', 'twentig' ) . '</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:image --><figure class="wp-block-image"><img src="' . twentig_get_pattern_asset( 'profile.jpg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1.125em"},"spacing":{"margin":{"bottom":"5px"}}}} --><h3 style="font-size:1.125em;margin-bottom:5px">Laura Adams</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0","fontSize":"small"} --><p class="tw-mt-0 has-small-font-size">' . esc_html_x( 'Developer', 'Block pattern content - Referring to a woman', 'twentig' ) . '</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:image --><figure class="wp-block-image"><img src="' . twentig_get_pattern_asset( 'profile.jpg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1.125em"},"spacing":{"margin":{"bottom":"5px"}}}} --><h3 style="font-size:1.125em;margin-bottom:5px">Richard Garcia</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0","fontSize":"small"} --><p class="tw-mt-0 has-small-font-size">' . esc_html_x( 'Photographer', 'Block pattern content - Referring to a man', 'twentig' ) . '</p><!-- /wp:paragraph --></div><!-- /wp:column --></div><!-- /wp:columns --></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/team-3-columns-gallery',
	array(
		'title'      => __( 'Team 3 Columns: Gallery', 'twentig' ),
		'categories' => array( 'team' ),
		'content'    => '<!-- wp:group {"align":"full","layout":{"inherit":true}} --><div class="wp-block-group alignfull"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'Our team', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:gallery {"columns":3,"linkTo":"none","align":"wide","className":"tw-caption-large","twFixedWidthCols":true,"twGutter":"medium","twStackedSm":true} --><figure class="wp-block-gallery alignwide has-nested-images columns-3 is-cropped tw-caption-large tw-fixed-cols tw-gutter-medium tw-stack-sm"><!-- wp:image {"sizeSlug":"large","linkDestination":"none"} --><figure class="wp-block-image size-large"><img src="' . twentig_get_pattern_asset( 'profile-square.jpg' ) . '" alt=""/><figcaption><strong>Julie Miller</strong><br>' . esc_html_x( 'Founder', 'Block pattern content - Referring to a woman', 'twentig' ) . '</figcaption></figure><!-- /wp:image --><!-- wp:image {"sizeSlug":"large","linkDestination":"none"} --><figure class="wp-block-image size-large"><img src="' . twentig_get_pattern_asset( 'profile-square.jpg' ) . '" alt=""/><figcaption><strong>David Lin</strong><br>' . esc_html_x( 'Designer', 'Block pattern content - Referring to a man', 'twentig' ) . '</figcaption></figure><!-- /wp:image --><!-- wp:image {"sizeSlug":"large","linkDestination":"none"} --><figure class="wp-block-image size-large"><img src="' . twentig_get_pattern_asset( 'profile-square.jpg' ) . '" alt=""/><figcaption><strong>Emily Patel</strong><br>' . esc_html_x( 'Developer', 'Block pattern content - Referring to a woman', 'twentig' ) . '</figcaption></figure><!-- /wp:image --><!-- wp:image {"sizeSlug":"large","linkDestination":"none"} --><figure class="wp-block-image size-large"><img src="' . twentig_get_pattern_asset( 'profile-square.jpg' ) . '" alt=""/><figcaption><strong>Eric Wilson</strong><br>' . esc_html_x( 'Designer', 'Block pattern content - Referring to a man', 'twentig' ) . '</figcaption></figure><!-- /wp:image --><!-- wp:image {"sizeSlug":"large","linkDestination":"none"} --><figure class="wp-block-image size-large"><img src="' . twentig_get_pattern_asset( 'profile-square.jpg' ) . '" alt=""/><figcaption><strong>Laura Adams</strong><br>' . esc_html_x( 'Developer', 'Block pattern content - Referring to a woman', 'twentig' ) . '</figcaption></figure><!-- /wp:image --><!-- wp:image {"sizeSlug":"large","linkDestination":"none"} --><figure class="wp-block-image size-large"><img src="' . twentig_get_pattern_asset( 'profile-square.jpg' ) . '" alt=""/><figcaption><strong>Richard Garcia</strong><br>' . esc_html_x( 'Photographer', 'Block pattern content - Referring to a man', 'twentig' ) . '</figcaption></figure><!-- /wp:image --></figure><!-- /wp:gallery --></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/team-3-columns-top-border',
	array(
		'title'      => __( 'Team 3 Columns: Top Border', 'twentig' ),
		'categories' => array( 'team' ),
		'content'    => '<!-- wp:group {"align":"full","layout":{"inherit":true}} --><div class="wp-block-group alignfull"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'Our team', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:columns {"align":"wide","twGutter":"large","twColumnStyle":"border-top"} --><div class="wp-block-columns alignwide tw-gutter-large tw-cols-border-top"><!-- wp:column --><div class="wp-block-column"><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1.125em"},"spacing":{"margin":{"bottom":"10px"}}}} --><h3 style="font-size:1.125em;margin-bottom:10px">Julie Miller</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0","fontSize":"small"} --><p class="tw-mt-0 has-small-font-size"><strong>' . esc_html_x( 'Founder', 'Block pattern content - Referring to a woman', 'twentig' ) . '</strong></p><!-- /wp:paragraph --><!-- wp:paragraph --><p>Lorem ipsum dolor sit amet, commodo erat adipiscing elit. Sed do eiusmod ut tempor incididunt ut labore et dolore.</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1.125em"},"spacing":{"margin":{"bottom":"10px"}}}} --><h3 style="font-size:1.125em;margin-bottom:10px">David Lin</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0","fontSize":"small"} --><p class="tw-mt-0 has-small-font-size"><strong>' . esc_html_x( 'Designer', 'Block pattern content - Referring to a man', 'twentig' ) . '</strong></p><!-- /wp:paragraph --><!-- wp:paragraph --><p>Integer enim risus suscipit eu iaculis sed ullamcorper at metus. Venenatis nec convallis magna eu congue velit.</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1.125em"},"spacing":{"margin":{"bottom":"10px"}}}} --><h3 style="font-size:1.125em;margin-bottom:10px">Emily Patel</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0","fontSize":"small"} --><p class="tw-mt-0 has-small-font-size"><strong>' . esc_html_x( 'Developer', 'Block pattern content - Referring to a woman', 'twentig' ) . '</strong></p><!-- /wp:paragraph --><!-- wp:paragraph --><p>Aliquam tempus mi nulla porta luctus. Sed non neque at lectus bibendum blandit. Morbi fringilla sapien libero.</p><!-- /wp:paragraph --></div><!-- /wp:column --></div><!-- /wp:columns --><!-- wp:columns {"align":"wide","twGutter":"large","twColumnStyle":"border-top"} --><div class="wp-block-columns alignwide tw-gutter-large tw-cols-border-top"><!-- wp:column --><div class="wp-block-column"><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1.125em"},"spacing":{"margin":{"bottom":"10px"}}}} --><h3 style="font-size:1.125em;margin-bottom:10px">Eric Wilson</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0","fontSize":"small"} --><p class="tw-mt-0 has-small-font-size"><strong>' . esc_html_x( 'Designer', 'Block pattern content - Referring to a man', 'twentig' ) . '</strong></p><!-- /wp:paragraph --><!-- wp:paragraph --><p>Duis enim elit porttitor id feugiat at blandit at erat. Proin varius libero sit amet tortor volutpat diam laoreet.</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1.125em"},"spacing":{"margin":{"bottom":"10px"}}}} --><h3 style="font-size:1.125em;margin-bottom:10px">Laura Adams</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0","fontSize":"small"} --><p class="tw-mt-0 has-small-font-size"><strong>' . esc_html_x( 'Developer', 'Block pattern content - Referring to a woman', 'twentig' ) . '</strong></p><!-- /wp:paragraph --><!-- wp:paragraph --><p>Fusce sed magna eu ligula commodo hendrerit fringilla ac purus. Integer sagittis efficitur rhoncus justo.</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1.125em"},"spacing":{"margin":{"bottom":"10px"}}}} --><h3 style="font-size:1.125em;margin-bottom:10px">Richard Garcia</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0","fontSize":"small"} --><p class="tw-mt-0 has-small-font-size"><strong>' . esc_html_x( 'Photographer', 'Block pattern content - Referring to a man', 'twentig' ) . '</strong></p><!-- /wp:paragraph --><!-- wp:paragraph --><p>Mauris dui tellus mollis quis varius sit amet ultrices in leo. Cras et purus sit amet velit congue convallis nec id diam.</p><!-- /wp:paragraph --></div><!-- /wp:column --></div><!-- /wp:columns --></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/team-4-columns',
	array(
		'title'      => __( 'Team 4 Columns', 'twentig' ),
		'categories' => array( 'team' ),
		'content'    => '<!-- wp:group {"align":"full","layout":{"inherit":true}} --><div class="wp-block-group alignfull"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'Our team', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:columns {"align":"wide","twStack":"md-2"} --><div class="wp-block-columns alignwide tw-cols-stack-md-2"><!-- wp:column --><div class="wp-block-column"><!-- wp:image --><figure class="wp-block-image"><img src="' . twentig_get_pattern_asset( 'profile-square.jpg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1.125em"},"spacing":{"margin":{"bottom":"10px"}}}} --><h3 style="font-size:1.125em;margin-bottom:10px">Julie Miller</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0","fontSize":"small"} --><p class="tw-mt-0 has-small-font-size"><strong>' . esc_html_x( 'Founder', 'Block pattern content - Referring to a woman', 'twentig' ) . '</strong></p><!-- /wp:paragraph --><!-- wp:paragraph --><p>Lorem ipsum dolor sit amet, commodo erat adipiscing elit. Sed do eiusmod ut tempor incididun.</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:image --><figure class="wp-block-image"><img src="' . twentig_get_pattern_asset( 'profile-square.jpg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1.125em"},"spacing":{"margin":{"bottom":"10px"}}}} --><h3 style="font-size:1.125em;margin-bottom:10px">David Lin</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0","fontSize":"small"} --><p class="tw-mt-0 has-small-font-size"><strong>' . esc_html_x( 'Designer', 'Block pattern content - Referring to a man', 'twentig' ) . '</strong></p><!-- /wp:paragraph --><!-- wp:paragraph --><p>Integer enim risus suscipit eu iaculis sed ullamcorper at metus. Venenatis nec convallis magna.</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:image --><figure class="wp-block-image"><img src="' . twentig_get_pattern_asset( 'profile-square.jpg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1.125em"},"spacing":{"margin":{"bottom":"10px"}}}} --><h3 style="font-size:1.125em;margin-bottom:10px">Emily Patel</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0","fontSize":"small"} --><p class="tw-mt-0 has-small-font-size"><strong>' . esc_html_x( 'Developer', 'Block pattern content - Referring to a woman', 'twentig' ) . '</strong></p><!-- /wp:paragraph --><!-- wp:paragraph --><p>Aliquam tempus mi nulla porta luctus. Sed non neque at lectus bibendum blandit. </p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:image --><figure class="wp-block-image"><img src="' . twentig_get_pattern_asset( 'profile-square.jpg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1.125em"},"spacing":{"margin":{"bottom":"10px"}}}} --><h3 style="font-size:1.125em;margin-bottom:10px">Richard Garcia</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0","fontSize":"small"} --><p class="tw-mt-0 has-small-font-size"><strong>' . esc_html_x( 'Photographer', 'Block pattern content - Referring to a man', 'twentig' ) . '</strong></p><!-- /wp:paragraph --><!-- wp:paragraph --><p>Duis enim elit porttitor id feugiat at blandit at erat. Proin varius libero sit amet tortor volutpat diam.</p><!-- /wp:paragraph --></div><!-- /wp:column --></div><!-- /wp:columns --></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/team-4-columns-x-2',
	array(
		'title'      => __( 'Team 4 Columns x 2', 'twentig' ),
		'categories' => array( 'team' ),
		'content'    => '<!-- wp:group {"align":"full","layout":{"inherit":true}} --><div class="wp-block-group alignfull"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'Our team', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:columns {"align":"wide","twStack":"md-2"} --><div class="wp-block-columns alignwide tw-cols-stack-md-2"><!-- wp:column --><div class="wp-block-column"><!-- wp:image --><figure class="wp-block-image"><img src="' . twentig_get_pattern_asset( 'profile-square.jpg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1.125em"},"spacing":{"margin":{"bottom":"5px"}}}} --><h3 style="font-size:1.125em;margin-bottom:5px">Julie Miller</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0","fontSize":"small"} --><p class="tw-mt-0 has-small-font-size">' . esc_html_x( 'Founder', 'Block pattern content - Referring to a woman', 'twentig' ) . '</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:image --><figure class="wp-block-image"><img src="' . twentig_get_pattern_asset( 'profile-square.jpg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1.125em"},"spacing":{"margin":{"bottom":"5px"}}}} --><h3 style="font-size:1.125em;margin-bottom:5px">David Lin</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0","fontSize":"small"} --><p class="tw-mt-0 has-small-font-size">' . esc_html_x( 'Designer', 'Block pattern content - Referring to a man', 'twentig' ) . '</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:image --><figure class="wp-block-image"><img src="' . twentig_get_pattern_asset( 'profile-square.jpg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1.125em"},"spacing":{"margin":{"bottom":"5px"}}}} --><h3 style="font-size:1.125em;margin-bottom:5px">Emily Patel</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0","fontSize":"small"} --><p class="tw-mt-0 has-small-font-size">' . esc_html_x( 'Developer', 'Block pattern content - Referring to a woman', 'twentig' ) . '</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:image --><figure class="wp-block-image"><img src="' . twentig_get_pattern_asset( 'profile-square.jpg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1.125em"},"spacing":{"margin":{"bottom":"5px"}}}} --><h3 style="font-size:1.125em;margin-bottom:5px">Eric Wilson</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0","fontSize":"small"} --><p class="tw-mt-0 has-small-font-size">' . esc_html_x( 'Designer', 'Block pattern content - Referring to a man', 'twentig' ) . '</p><!-- /wp:paragraph --></div><!-- /wp:column --></div><!-- /wp:columns --><!-- wp:columns {"align":"wide","twStack":"md-2"} --><div class="wp-block-columns alignwide tw-cols-stack-md-2"><!-- wp:column --><div class="wp-block-column"><!-- wp:image --><figure class="wp-block-image"><img src="' . twentig_get_pattern_asset( 'profile-square.jpg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1.125em"},"spacing":{"margin":{"bottom":"5px"}}}} --><h3 style="font-size:1.125em;margin-bottom:5px">Laura Adams</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0","fontSize":"small"} --><p class="tw-mt-0 has-small-font-size">' . esc_html_x( 'Developer', 'Block pattern content - Referring to a woman', 'twentig' ) . '</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:image --><figure class="wp-block-image"><img src="' . twentig_get_pattern_asset( 'profile-square.jpg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1.125em"},"spacing":{"margin":{"bottom":"5px"}}}} --><h3 style="font-size:1.125em;margin-bottom:5px">James Clark</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0","fontSize":"small"} --><p class="tw-mt-0 has-small-font-size">' . esc_html_x( 'Designer', 'Block pattern content - Referring to a man', 'twentig' ) . '</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:image --><figure class="wp-block-image"><img src="' . twentig_get_pattern_asset( 'profile-square.jpg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1.125em"},"spacing":{"margin":{"bottom":"5px"}}}} --><h3 style="font-size:1.125em;margin-bottom:5px">Susan Harris</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0","fontSize":"small"} --><p class="tw-mt-0 has-small-font-size">' . esc_html_x( 'Developer', 'Block pattern content - Referring to a woman', 'twentig' ) . '</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:image --><figure class="wp-block-image"><img src="' . twentig_get_pattern_asset( 'profile-square.jpg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1.125em"},"spacing":{"margin":{"bottom":"5px"}}}} --><h3 style="font-size:1.125em;margin-bottom:5px">Richard Garcia</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0","fontSize":"small"} --><p class="tw-mt-0 has-small-font-size">' . esc_html_x( 'Photographer', 'Block pattern content - Referring to a man', 'twentig' ) . '</p><!-- /wp:paragraph --></div><!-- /wp:column --></div><!-- /wp:columns --></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/team-4-columns-gallery',
	array(
		'title'      => __( 'Team 4 Columns: Gallery', 'twentig' ),
		'categories' => array( 'team' ),
		'content'    => '<!-- wp:group {"align":"full","layout":{"inherit":true}} --><div class="wp-block-group alignfull"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'Our team', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:gallery {"columns":4,"linkTo":"none","align":"wide","className":"tw-caption-large","twFixedWidthCols":true,"twStackedSm":true} --><figure class="wp-block-gallery alignwide has-nested-images columns-4 is-cropped tw-caption-large tw-fixed-cols tw-stack-sm"><!-- wp:image {"sizeSlug":"large","linkDestination":"none"} --><figure class="wp-block-image size-large"><img src="' . twentig_get_pattern_asset( 'profile-square.jpg' ) . '" alt=""/><figcaption><strong>Julie Miller</strong><br>' . esc_html_x( 'Founder', 'Block pattern content - Referring to a woman', 'twentig' ) . '</figcaption></figure><!-- /wp:image --><!-- wp:image {"sizeSlug":"large","linkDestination":"none"} --><figure class="wp-block-image size-large"><img src="' . twentig_get_pattern_asset( 'profile-square.jpg' ) . '" alt=""/><figcaption><strong>David Lin</strong><br>' . esc_html_x( 'Designer', 'Block pattern content - Referring to a man', 'twentig' ) . '</figcaption></figure><!-- /wp:image --><!-- wp:image {"sizeSlug":"large","linkDestination":"none"} --><figure class="wp-block-image size-large"><img src="' . twentig_get_pattern_asset( 'profile-square.jpg' ) . '" alt=""/><figcaption><strong>Emily Patel</strong><br>' . esc_html_x( 'Developer', 'Block pattern content - Referring to a woman', 'twentig' ) . '</figcaption></figure><!-- /wp:image --><!-- wp:image {"sizeSlug":"large","linkDestination":"none"} --><figure class="wp-block-image size-large"><img src="' . twentig_get_pattern_asset( 'profile-square.jpg' ) . '" alt=""/><figcaption><strong>Eric Wilson</strong><br>' . esc_html_x( 'Designer', 'Block pattern content - Referring to a man', 'twentig' ) . '</figcaption></figure><!-- /wp:image --><!-- wp:image {"sizeSlug":"large","linkDestination":"none"} --><figure class="wp-block-image size-large"><img src="' . twentig_get_pattern_asset( 'profile-square.jpg' ) . '" alt=""/><figcaption><strong>Laura Adams</strong><br>' . esc_html_x( 'Developer', 'Block pattern content - Referring to a woman', 'twentig' ) . '</figcaption></figure><!-- /wp:image --><!-- wp:image {"sizeSlug":"large","linkDestination":"none"} --><figure class="wp-block-image size-large"><img src="' . twentig_get_pattern_asset( 'profile-square.jpg' ) . '" alt=""/><figcaption><strong>James Clark</strong><br>' . esc_html_x( 'Designer', 'Block pattern content - Referring to a man', 'twentig' ) . '</figcaption></figure><!-- /wp:image --><!-- wp:image {"sizeSlug":"large","linkDestination":"none"} --><figure class="wp-block-image size-large"><img src="' . twentig_get_pattern_asset( 'profile-square.jpg' ) . '" alt=""/><figcaption><strong>Susan Harris</strong><br>' . esc_html_x( 'Developer', 'Block pattern content - Referring to a woman', 'twentig' ) . '</figcaption></figure><!-- /wp:image --><!-- wp:image {"sizeSlug":"large","linkDestination":"none"} --><figure class="wp-block-image size-large"><img src="' . twentig_get_pattern_asset( 'profile-square.jpg' ) . '" alt=""/><figcaption><strong>Richard Garcia</strong><br>' . esc_html_x( 'Photographer', 'Block pattern content - Referring to a man', 'twentig' ) . '</figcaption></figure><!-- /wp:image --></figure><!-- /wp:gallery --></div><!-- /wp:group -->',
	)
);


twentig_register_block_pattern(
	'twentig/team-4-columns-top-border',
	array(
		'title'      => __( 'Team 4 Columns: Top Border', 'twentig' ),
		'categories' => array( 'team' ),
		'content'    => '<!-- wp:group {"align":"full","layout":{"inherit":true}} --><div class="wp-block-group alignfull"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center"><strong>' . esc_html_x( 'Our team', 'Block pattern content', 'twentig' ) . '</strong></h2><!-- /wp:heading --><!-- wp:columns {"align":"wide","twStack":"md-2","twColumnStyle":"border-top"} --><div class="wp-block-columns alignwide tw-cols-stack-md-2 tw-cols-border-top"><!-- wp:column --><div class="wp-block-column"><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1.125em"},"spacing":{"margin":{"bottom":"5px"}}}} --><h3 style="font-size:1.125em;margin-bottom:5px">Julie Miller</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0","fontSize":"small"} --><p class="tw-mt-0 has-small-font-size">' . esc_html_x( 'Founder', 'Block pattern content - Referring to a woman', 'twentig' ) . '</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1.125em"},"spacing":{"margin":{"bottom":"5px"}}}} --><h3 style="font-size:1.125em;margin-bottom:5px">David Lin</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0","fontSize":"small"} --><p class="tw-mt-0 has-small-font-size">' . esc_html_x( 'Designer', 'Block pattern content - Referring to a man', 'twentig' ) . '</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1.125em"},"spacing":{"margin":{"bottom":"5px"}}}} --><h3 style="font-size:1.125em;margin-bottom:5px">Emily Patel</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0","fontSize":"small"} --><p class="tw-mt-0 has-small-font-size">' . esc_html_x( 'Developer', 'Block pattern content - Referring to a woman', 'twentig' ) . '</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1.125em"},"spacing":{"margin":{"bottom":"5px"}}}} --><h3 style="font-size:1.125em;margin-bottom:5px">Eric Wilson</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0","fontSize":"small"} --><p class="tw-mt-0 has-small-font-size">' . esc_html_x( 'Designer', 'Block pattern content - Referring to a man', 'twentig' ) . '</p><!-- /wp:paragraph --></div><!-- /wp:column --></div><!-- /wp:columns --><!-- wp:columns {"align":"wide","twStack":"md-2","twColumnStyle":"border-top"} --><div class="wp-block-columns alignwide tw-cols-stack-md-2 tw-cols-border-top"><!-- wp:column --><div class="wp-block-column"><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1.125em"},"spacing":{"margin":{"bottom":"5px"}}}} --><h3 style="font-size:1.125em;margin-bottom:5px">Laura Adams</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0","fontSize":"small"} --><p class="tw-mt-0 has-small-font-size">' . esc_html_x( 'Developer', 'Block pattern content - Referring to a woman', 'twentig' ) . '</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1.125em"},"spacing":{"margin":{"bottom":"5px"}}}} --><h3 style="font-size:1.125em;margin-bottom:5px">James Clark</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0","fontSize":"small"} --><p class="tw-mt-0 has-small-font-size">' . esc_html_x( 'Designer', 'Block pattern content - Referring to a man', 'twentig' ) . '</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1.125em"},"spacing":{"margin":{"bottom":"5px"}}}} --><h3 style="font-size:1.125em;margin-bottom:5px">Susan Harris</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0","fontSize":"small"} --><p class="tw-mt-0 has-small-font-size">' . esc_html_x( 'Developer', 'Block pattern content - Referring to a woman', 'twentig' ) . '</p><!-- /wp:paragraph --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:heading {"level":3,"style":{"typography":{"fontSize":"1.125em"},"spacing":{"margin":{"bottom":"5px"}}}} --><h3 style="font-size:1.125em;margin-bottom:5px">Richard Garcia</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0","fontSize":"small"} --><p class="tw-mt-0 has-small-font-size">' . esc_html_x( 'Photographer', 'Block pattern content - Referring to a man', 'twentig' ) . '</p><!-- /wp:paragraph --></div><!-- /wp:column --></div><!-- /wp:columns --></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/team-list',
	array(
		'title'      => __( 'Team: List', 'twentig' ),
		'categories' => array( 'team' ),
		'content'    => '<!-- wp:group {"align":"full","layout":{"inherit":true}} --><div class="wp-block-group alignfull"><!-- wp:heading --><h2>' . esc_html_x( 'Our team', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:columns --><div class="wp-block-columns"><!-- wp:column {"width":"20%"} --><div class="wp-block-column" style="flex-basis:20%"><!-- wp:image {"width":140,"height":140,"className":"is-style-rounded"} --><figure class="wp-block-image is-resized is-style-rounded"><img src="' . twentig_get_pattern_asset( 'profile-square.jpg' ) . '" alt="" width="140" height="140"/></figure><!-- /wp:image --></div><!-- /wp:column --><!-- wp:column {"width":"80%"} --><div class="wp-block-column" style="flex-basis:80%"><!-- wp:heading {"level":3,"fontSize":"large","style":{"spacing":{"margin":{"bottom":"10px"}}}} --><h3 class="has-large-font-size" style="margin-bottom:10px">Julie Miller</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0","fontSize":"small"} --><p class="tw-mt-0 has-small-font-size"><strong>' . esc_html_x( 'Founder', 'Block pattern content - Referring to a woman', 'twentig' ) . '</strong></p><!-- /wp:paragraph --><!-- wp:paragraph --><p>Lorem ipsum dolor sit amet, commodo erat adipiscing elit. Sed do eiusmod ut tempor incididunt ut labore et dolore. Integer enim risus suscipit eu iaculis sed, ullamcorper at metus. Class aptent taciti sociosqu ad litora torquent per conubia nostra.</p><!-- /wp:paragraph --></div><!-- /wp:column --></div><!-- /wp:columns --><!-- wp:separator {"className":"tw-mt-7 tw-mb-7 is-style-wide"} --><hr class="wp-block-separator tw-mt-7 tw-mb-7 is-style-wide"/><!-- /wp:separator --><!-- wp:columns --><div class="wp-block-columns"><!-- wp:column {"width":"20%"} --><div class="wp-block-column" style="flex-basis:20%"><!-- wp:image {"width":140,"height":140,"className":"is-style-rounded"} --><figure class="wp-block-image is-resized is-style-rounded"><img src="' . twentig_get_pattern_asset( 'profile-square.jpg' ) . '" alt="" width="140" height="140"/></figure><!-- /wp:image --></div><!-- /wp:column --><!-- wp:column {"width":"80%"} --><div class="wp-block-column" style="flex-basis:80%"><!-- wp:heading {"level":3,"fontSize":"large","style":{"spacing":{"margin":{"bottom":"10px"}}}} --><h3 class="has-large-font-size" style="margin-bottom:10px">David Lin</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0","fontSize":"small"} --><p class="tw-mt-0 has-small-font-size"><strong>' . esc_html_x( 'Designer', 'Block pattern content - Referring to a man', 'twentig' ) . '</strong></p><!-- /wp:paragraph --><!-- wp:paragraph --><p>Venenatis nec convallis magna, eu congue velit. Aliquam tempus mi nulla porta luctus. Sed non neque at lectus bibendum blandit. Duis enim elit, porttitor id feugiat at, blandit at erat. Proin varius libero sit amet tortor volutpat diam laoreet. Fusce sed magna eu ligula commodo hendrerit fringilla ac purus.</p><!-- /wp:paragraph --></div><!-- /wp:column --></div><!-- /wp:columns --><!-- wp:separator {"className":"tw-mt-7 tw-mb-7 is-style-wide"} --><hr class="wp-block-separator tw-mt-7 tw-mb-7 is-style-wide"/><!-- /wp:separator --><!-- wp:columns --><div class="wp-block-columns"><!-- wp:column {"width":"20%"} --><div class="wp-block-column" style="flex-basis:20%"><!-- wp:image {"width":140,"height":140,"className":"is-style-rounded"} --><figure class="wp-block-image is-resized is-style-rounded"><img src="' . twentig_get_pattern_asset( 'profile-square.jpg' ) . '" alt="" width="140" height="140"/></figure><!-- /wp:image --></div><!-- /wp:column --><!-- wp:column {"width":"80%"} --><div class="wp-block-column" style="flex-basis:80%"><!-- wp:heading {"level":3,"fontSize":"large","style":{"spacing":{"margin":{"bottom":"10px"}}}} --><h3 class="has-large-font-size" style="margin-bottom:10px">Emily Patel</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0","fontSize":"small"} --><p class="tw-mt-0 has-small-font-size"><strong>' . esc_html_x( 'Developer', 'Block pattern content - Referring to a woman', 'twentig' ) . '</strong></p><!-- /wp:paragraph --><!-- wp:paragraph --><p>Aliquam tempus mi nulla porta luctus. Sed non neque at lectus bibendum blandit. Morbi fringilla sapien libero. Duis enim elit, porttitor id feugiat at, blandit at erat. Proin varius libero sit amet tortor volutpat diam laoreet. Mauris dui tellus mollis quis varius, sit amet ultrices.</p><!-- /wp:paragraph --></div><!-- /wp:column --></div><!-- /wp:columns --></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/team-image-on-left',
	array(
		'title'      => __( 'Team: Image on left', 'twentig' ),
		'categories' => array( 'team' ),
		'content'    => '<!-- wp:group {"align":"full","layout":{"inherit":true}} --><div class="wp-block-group alignfull"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'Our team', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:media-text {"mediaType":"image","imageFill":false,"twStackedMd":true} --><div class="wp-block-media-text alignwide is-stacked-on-mobile tw-stack-md"><figure class="wp-block-media-text__media"><img src="' . twentig_get_pattern_asset( 'profile.jpg' ) . '" alt=""/></figure><div class="wp-block-media-text__content"><!-- wp:heading {"level":3,"fontSize":"x-large","style":{"spacing":{"margin":{"bottom":"10px"}}}} --><h3 class="has-x-large-font-size" style="margin-bottom:10px">Laura Adams</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0","fontSize":"small"} --><p class="tw-mt-0 has-small-font-size"><strong>' . esc_html_x( 'Developer', 'Block pattern content - Referring to a woman', 'twentig' ) . '</strong></p><!-- /wp:paragraph --><!-- wp:paragraph --><p>Lorem ipsum dolor sit amet, commodo erat adipiscing elit. Sed do eiusmod ut tempor incididunt ut labore et dolore. Integer enim risus suscipit eu iaculis sed, ullamcorper at metus. Class aptent taciti sociosqu ad litora torquent per conubia nostra.</p><!-- /wp:paragraph --><!-- wp:social-links {"iconColor":"foreground","iconColorValue":"var(--wp--preset--color--foreground)","size":"has-small-icon-size","className":"is-style-logos-only","layout":{"type":"flex"},"style":{"spacing":{"blockGap":"16px"}},"twHover":"opacity"} --><ul class="wp-block-social-links has-small-icon-size has-icon-color is-style-logos-only tw-hover-opacity"><!-- wp:social-link {"url":"#","service":"mail"} /--><!-- wp:social-link {"url":"#","service":"twitter"} /--><!-- wp:social-link {"url":"#","service":"instagram"} /--></ul><!-- /wp:social-links --></div></div><!-- /wp:media-text --><!-- wp:media-text {"mediaType":"image","imageFill":false,"twStackedMd":true} --><div class="wp-block-media-text alignwide is-stacked-on-mobile tw-stack-md"><figure class="wp-block-media-text__media"><img src="' . twentig_get_pattern_asset( 'profile.jpg' ) . '" alt=""/></figure><div class="wp-block-media-text__content"><!-- wp:heading {"level":3,"fontSize":"x-large","style":{"spacing":{"margin":{"bottom":"10px"}}}} --><h3 class="has-x-large-font-size" style="margin-bottom:10px">David Lin</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0","fontSize":"small"} --><p class="tw-mt-0 has-small-font-size"><strong>' . esc_html_x( 'Designer', 'Block pattern content - Referring to a man', 'twentig' ) . '</strong></p><!-- /wp:paragraph --><!-- wp:paragraph --><p>Venenatis nec convallis magna, eu congue velit. Aliquam tempus mi nulla porta luctus. Sed non neque at lectus bibendum blandit. Duis enim elit, porttitor id feugiat at, blandit at erat. Proin varius libero sit amet tortor volutpat diam laoreet.</p><!-- /wp:paragraph --><!-- wp:social-links {"iconColor":"foreground","iconColorValue":"var(--wp--preset--color--foreground)","size":"has-small-icon-size","className":"is-style-logos-only","layout":{"type":"flex"},"style":{"spacing":{"blockGap":"16px"}},"twHover":"opacity"} --><ul class="wp-block-social-links has-small-icon-size has-icon-color is-style-logos-only tw-hover-opacity"><!-- wp:social-link {"url":"#","service":"mail"} /--><!-- wp:social-link {"url":"#","service":"twitter"} /--><!-- wp:social-link {"url":"#","service":"instagram"} /--></ul><!-- /wp:social-links --></div></div><!-- /wp:media-text --></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/team-image-on-left-and-image-on-right',
	array(
		'title'      => __( 'Team: Alternating Text and Image', 'twentig' ),
		'categories' => array( 'team' ),
		'content'    => '<!-- wp:group {"align":"full","layout":{"inherit":true}} --><div class="wp-block-group alignfull"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'Our team', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:media-text {"mediaType":"image","mediaWidth":48,"twStackedMd":true} --><div class="wp-block-media-text alignwide is-stacked-on-mobile tw-stack-md" style="grid-template-columns:48% auto"><figure class="wp-block-media-text__media"><img src="' . twentig_get_pattern_asset( 'profile-square.jpg' ) . '" alt=""/></figure><div class="wp-block-media-text__content"><!-- wp:heading {"level":3,"fontSize":"x-large","style":{"spacing":{"margin":{"bottom":"10px"}}}} --><h3 class="has-x-large-font-size" style="margin-bottom:10px">Laura Adams</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0","fontSize":"small"} --><p class="tw-mt-0 has-small-font-size"><strong>' . esc_html_x( 'Developer', 'Block pattern content - Referring to a woman', 'twentig' ) . '</strong></p><!-- /wp:paragraph --><!-- wp:paragraph --><p>Lorem ipsum dolor sit amet, commodo erat adipiscing elit. Sed do eiusmod ut tempor incididunt ut labore et dolore. Integer enim risus suscipit eu iaculis sed, ullamcorper at metus. Class aptent taciti sociosqu ad litora torquent per conubia nostra.</p><!-- /wp:paragraph --></div></div><!-- /wp:media-text --><!-- wp:media-text {"mediaPosition":"right","mediaType":"image","mediaWidth":48,"twStackedMd":true} --><div class="wp-block-media-text alignwide has-media-on-the-right is-stacked-on-mobile tw-stack-md" style="grid-template-columns:auto 48%"><figure class="wp-block-media-text__media"><img src="' . twentig_get_pattern_asset( 'profile-square.jpg' ) . '" alt=""/></figure><div class="wp-block-media-text__content"><!-- wp:heading {"level":3,"fontSize":"x-large","style":{"spacing":{"margin":{"bottom":"10px"}}}} --><h3 class="has-x-large-font-size" style="margin-bottom:10px">David Lin</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0","fontSize":"small"} --><p class="tw-mt-0 has-small-font-size"><strong>' . esc_html_x( 'Designer', 'Block pattern content - Referring to a man', 'twentig' ) . '</strong></p><!-- /wp:paragraph --><!-- wp:paragraph --><p>Venenatis nec convallis magna, eu congue velit. Aliquam tempus mi nulla porta luctus. Sed non neque at lectus bibendum blandit. Duis enim elit, porttitor id feugiat at, blandit at erat. Proin varius libero sit amet tortor volutpat diam laoreet. Fusce sed magna eu ligula commodo hendrerit fringilla ac purus.</p><!-- /wp:paragraph --></div></div><!-- /wp:media-text --></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/team-overlap-image',
	array(
		'title'      => __( 'Team: Overlap Image', 'twentig' ),
		'categories' => array( 'team' ),
		'content'    => '<!-- wp:group {"align":"full","layout":{"inherit":true}} --><div class="wp-block-group alignfull"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'Our team', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:media-text {"backgroundColor":"tertiary","mediaType":"image","mediaWidth":56,"className":"is-style-tw-overlap","twStackedMd":true} --><div class="wp-block-media-text alignwide has-background has-tertiary-background-color is-stacked-on-mobile is-style-tw-overlap tw-stack-md" style="grid-template-columns:56% auto"><figure class="wp-block-media-text__media"><img src="' . twentig_get_pattern_asset( 'profile-square.jpg' ) . '" alt=""/></figure><div class="wp-block-media-text__content"><!-- wp:heading {"level":3,"fontSize":"x-large","style":{"spacing":{"margin":{"bottom":"10px"}}}} --><h3 class="has-x-large-font-size" style="margin-bottom:10px">Laura Adams</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0","fontSize":"small"} --><p class="tw-mt-0 has-small-font-size"><strong>' . esc_html_x( 'Developer', 'Block pattern content - Referring to a woman', 'twentig' ) . '</strong></p><!-- /wp:paragraph --><!-- wp:paragraph --><p>Lorem ipsum dolor sit amet, commodo erat adipiscing elit. Sed do eiusmod ut tempor incididunt ut labore et dolore. Integer enim risus suscipit iaculis sed ullamcorper metus.</p><!-- /wp:paragraph --></div></div><!-- /wp:media-text --><!-- wp:media-text {"backgroundColor":"tertiary","mediaPosition":"right","mediaType":"image","mediaWidth":56,"className":"is-style-tw-overlap","twStackedMd":true} --><div class="wp-block-media-text alignwide has-media-on-the-right has-background has-tertiary-background-color is-stacked-on-mobile is-style-tw-overlap tw-stack-md" style="grid-template-columns:auto 56%"><figure class="wp-block-media-text__media"><img src="' . twentig_get_pattern_asset( 'profile-square.jpg' ) . '" alt=""/></figure><div class="wp-block-media-text__content"><!-- wp:heading {"level":3,"fontSize":"x-large","style":{"spacing":{"margin":{"bottom":"10px"}}}} --><h3 class="has-x-large-font-size" style="margin-bottom:10px">David Lin</h3><!-- /wp:heading --><!-- wp:paragraph {"className":"tw-mt-0","fontSize":"small"} --><p class="tw-mt-0 has-small-font-size"><strong>' . esc_html_x( 'Designer', 'Block pattern content - Referring to a man', 'twentig' ) . '</strong></p><!-- /wp:paragraph --><!-- wp:paragraph --><p>Aliquam tempus mi nulla porta luctus. Sed non neque at lectus bibendum blandit. Morbi fringilla sapien libero. Duis enim elit porttitor id feugiat at blandit at erat.</p><!-- /wp:paragraph --></div></div><!-- /wp:media-text --></div><!-- /wp:group -->',
	)
);
